# do not edit -- automatically generated by arch changelog
# tag: automatic-ChangeLog--algernon@bonehunter.rulez.org--iluvatar-archive/ccze--0.1
#

2003-03-29 16:53:51 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-243

    Summary:
      mod_ftpstats
    Revision:
      ccze--0.1--patch-243

    * src/mod_ftpstats.c: New file.
    * ccze.plugins: Added ftpstats.
    * doc/ccze.1.in (PLUGINS): Documented it.
    
    Thanks to Ciga for the sample logs.

    new files:
     src/.arch-ids/mod_ftpstats.c.id src/mod_ftpstats.c

    modified files:
     ChangeLog ccze.plugins doc/ccze.1.in


2003-03-29 16:14:20 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-242

    Summary:
      Bumped Standards-Version
    Revision:
      ccze--0.1--patch-242

    * debian/control (Standards-Version): Updated to 3.5.9.

    modified files:
     ChangeLog debian/control


2003-03-29 16:10:25 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-241

    Summary:
      Support Pure-FTPD CLF format
    Revision:
      ccze--0.1--patch-241

    * src/mod_httpd.c (ccze_httpd_setup): Modified the httpd_access regexp
      to catch pure-ftpd's CLF logformat.
    * doc/ccze.1.in (PLUGINS): Documented this.
    
    Thanks to Ciga for his assistance.

    modified files:
     ChangeLog doc/ccze.1.in src/mod_httpd.c


2003-03-29 15:58:53 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-240

    Summary:
      Fixed coloring of bad HTTP requests
    Revision:
      ccze--0.1--patch-240

    * src/mod_httpd.c (ccze_httpd_setup): Changed the httpd_access regexp
      to allow arbitrary request methods.
    * testsuite/bug-httpd.test: New test.
    * testsuite/bug-httpd.in: New test input.
    * testsuite/bug-httpd.ok: New expected test output.
    * testsuite/Makefile.in (TESTS): Added bug-httpd.test.

    new files:
     testsuite/.arch-ids/bug-httpd.in.id
     testsuite/.arch-ids/bug-httpd.ok.id
     testsuite/.arch-ids/bug-httpd.test.id testsuite/bug-httpd.in
     testsuite/bug-httpd.ok testsuite/bug-httpd.test

    modified files:
     ChangeLog src/mod_httpd.c testsuite/Makefile.in


2003-03-29 15:06:27 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-239

    Summary:
      FAQ cosmetic fix
    Revision:
      ccze--0.1--patch-239

    * FAQ: Removed a spurious newline.

    modified files:
     ChangeLog FAQ


2003-03-29 15:04:28 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-238

    Summary:
      Documentation update and a minor fix
    Revision:
      ccze--0.1--patch-238

    * doc/ccze-plugin.7.in: Updated to reflect reality. Some parts were
      really outdated.
    * Makefile.in (ccze.spec): Renamed to...
      (${top_srcdir}/ccze.spec): ...this.

    modified files:
     ChangeLog Makefile.in doc/ccze-plugin.7.in


2003-03-29 14:44:28 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-237

    Summary:
      Preparing 0.2.0...
    Revision:
      ccze--0.1--patch-237

    * Rules.mk.in (DIST): New variable.
      (PATCHLEVEL): Support -base-*.
    * ccze.spec.in: Support %{dist} (via @DIST@).
    * Makefile.in (ccze.spec): Substitue @DIST@ with ${DIST}.
    * debian/rules (binary-ccze): Support more than one ChangeLog.

    modified files:
     ChangeLog Makefile.in Rules.mk.in ccze.spec.in debian/rules


2003-03-29 14:24:27 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-236

    Summary:
      Fixed compile-time warnings
    Revision:
      ccze--0.1--patch-236

    * src/ccze.c (ccze_newline): Added a default ccze_mode_t handler.
      (ccze_addstr_internal): Likewise.
      (ccze_main): Use sigint_handler() when doing the plugin listing.

    modified files:
     ChangeLog src/ccze.c


2003-03-29 14:18:55 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-235

    Summary:
      Added support for listing plugins
    Revision:
      ccze--0.1--patch-235

    * src/ccze-private.h (ccze_mode_t): Added a CCZE_MODE_PLUGIN_LIST mode.
      (ccze_plugin_list_fancy): New prototype.
    * src/ccze.c (parse_opt): Handle --list-plugins.
      (main): Added support for the new CCZE_MODE_PLUGIN_LIST mode.
    * src/ccze.h (ccze_plugin_t): Added a new `desc' member.
      [CCZE_ABI_VERSION]: Bumped to 2.
      [CCZE_DEFINE_PLUGIN]: Take a third argument: desc.
    * src/ccze-plugin.c (ccze_plugin_list_fancy): New function.
    
    All plugins updated to CCZE_ABI_VERSION 2 requirements.

    modified files:
     ChangeLog src/ccze-plugin.c src/ccze-private.h src/ccze.c
     src/ccze.h src/mod_apm.c src/mod_distcc.c src/mod_exim.c
     src/mod_fetchmail.c src/mod_httpd.c src/mod_icecast.c
     src/mod_oops.c src/mod_php.c src/mod_postfix.c
     src/mod_procmail.c src/mod_proftpd.c src/mod_squid.c
     src/mod_sulog.c src/mod_super.c src/mod_syslog.c
     src/mod_ulogd.c src/mod_vsftpd.c src/mod_xferlog.c


2003-03-29 13:28:15 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-234

    Summary:
      Code cleanup
    Revision:
      ccze--0.1--patch-234

    * src/ccze-private.h (ccze_mode_t): New typedef.
      (ccze_config_t): Replace `html', `debug' and `raw_ansi' members with
      `mode'.
    
    All users updated accordingly.

    modified files:
     ChangeLog src/ccze-color.c src/ccze-cssdump.c src/ccze-dump.c
     src/ccze-private.h src/ccze.c


2003-03-29 13:10:13 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-233

    Summary:
      Fixed plugin loading (well, setup)
    Revision:
      ccze--0.1--patch-233

    * src/ccze-plugin.c (ccze_plugin_setup): Do not increment `i' while
      calling ->startup.
    
    Problem noticed & debugged by Ciga.

    modified files:
     ChangeLog src/ccze-plugin.c


2003-03-29 12:49:11 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-232

    Summary:
      Fixed ICC warnings
    Revision:
      ccze--0.1--patch-232

    * src/ccze.h [CCZE_DEFINE_PLUGIN]: Do not put a coma after the struct.
      [!BUILTIN] [__default_plugin]: Start with a coma.
    * src/ccze-cssdump.c: Do not declare ccze_config static.
    * src/ccze-dump.c: Likewise.

    modified files:
     ChangeLog src/ccze-cssdump.c src/ccze-dump.c src/ccze.h


2003-03-29 12:28:49 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-231

    Summary:
      FAQ update
    Revision:
      ccze--0.1--patch-231

    * FAQ: Added a new Q&A.

    modified files:
     ChangeLog FAQ


2003-03-29 12:17:59 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-230

    Summary:
      raw ANSI output mode
    Revision:
      ccze--0.1--patch-230

    * src/ccze-private.h (ccze_config_t): Added a new `raw_ansi' member.
    * src/ccze.c (ccze_raw_ansi_color): New variable.
      (ccze_config_t): Initialise raw_ansi to off.
      (parse_opt): Accept --raw-ansi, -A.
      (ccze_newline): Output only a `\n' in raw_ansi mode.
      (ccze_addstr_internal): Added support for outputting raw ANSI
      sequences.
      (sigint_handler): Likewise.
      (main): Likewise.
    * src/ccze-color.c (ccze_color_parse): Added support for raw ANSI
      sequences.
      (ccze_color_init_raw_ansi): New function.
      (ccze_color_init): Use it, if appropriate.
    * src/ccze-cssdump (ccze_config): New variable. Since
      ccze_color_parse() needs this.
      (parse_opt): Use ccze_config.rcfile.
      (main): Likewise.
    * src/ccze-dump (ccze_config): New variable. Since ccze_color_parse()
      needs this.
      (parse_opt): Use ccze_config.rcfile.
      (main): Likewise.
    * THANKS: Added Thomas Graf.
    * doc/ccze.1.in (OPTIONS): Document --raw-ansi, -A.
    
    Patch heavily based on the work of Thomas Graf.

    modified files:
     ChangeLog THANKS doc/ccze.1.in src/ccze-color.c
     src/ccze-cssdump.c src/ccze-dump.c src/ccze-private.h
     src/ccze.c


2003-03-29 11:11:39 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-229

    Summary:
      Whoops..! Corrected Ciga's name.
    Revision:
      ccze--0.1--patch-229

    * THANKS: Write Ciga's name in english-style, like all others.
    
    Noticed by himself.

    modified files:
     ChangeLog THANKS


2003-03-20 22:52:15 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-228

    Summary:
      The `Largo' release.
    Revision:
      ccze--0.1--patch-228

      No tree's shade ever was
      more serence, dear and lovely.
    
    * NEWS: Updated.
    * debian/changelog: Likewise.

    modified files:
     ChangeLog NEWS debian/changelog


2003-03-19 10:26:56 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-227

    Summary:
      Support loading a module twice or more
    Revision:
      ccze--0.1--patch-227

    * src/ccze.h (__default_plugin): New define.
      (CCZE_DEFINE_PLUGIN): Use it.
      (ccze_plugin_name_get): New prototype.
    * src/ccze-private.h (ccze_plugin_setup): New prototype.
    * src/ccze-plugin.c (ccze_plugin_setup): New function, extracted from
      src/main.c's main().
      (ccze_plugin_shutdown): Place the current plugin name into
      `plugin_running'.
      (ccze_plugin_run): Likewise.
      (ccze_plugin_argv_set): Initialise ->argv[0].
      (ccze_plugin_name_get): New function.
      (_ccze_plugin_load): If loading in the normal way failed, check
      `ccze_default_plugin', and try loading that one.
    * doc/ccze-plugin.7.in: Document ccze_plugin_name_get and
      CCZE_DEFINE_PLUGINS.

    modified files:
     ChangeLog doc/ccze-plugin.7.in src/Makefile.in
     src/ccze-plugin.c src/ccze-private.h src/ccze.c src/ccze.h


2003-03-12 20:21:52 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-226

    Summary:
      Support loading multiple plugins from a single file
    Revision:
      ccze--0.1--patch-226

    * src/ccze.h (CCZE_DEFINE_PLUGINS): New macro.
    * src/ccze-plugins.c (_ccze_plugin_load): Take a `recurse'
      argument. Do not check multiple plugins if it is off. Also, before
      loading a plugin, check if it is loaded already. If the plugin
      opening succeeds, but the _info symbol is not found, defer bailing
      out. After loaded the default plugin, or deferred exiting, check if
      there are more plugins, and load them too.

    modified files:
     ChangeLog src/ccze-plugin.c src/ccze.h


2003-03-12 16:23:33 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-225

    Summary:
      Testsuite overhaul
    Revision:
      ccze--0.1--patch-225

    * testsuite/defs: Support VERBOSE=1 - echoing which test it runs, and a
      description - and VERBOSE=* - the old behaviour.
    * testsuite/do-test: Check for the ${testname}.in file in both the
      objdir, and the sourcedir.
    * testsuite/exim.in: Removed.
    * testsuite/exim.ok: Likewise.
    * testsuite/apm.in: Likewise.
    * testsuite/apm.ok: Likewise.
    * testsuite/color.test: Likewise.
    * testsuite/bug-wnum.test: New test, extracted from the former
      color.test.
    * testsuite/bug-procmailsubj.test: Likewise.
    * testsuite/procmail.in: Renamed to...
    * testsuite/bug-procmailsubj.in: ...this.
    * testsuite/procmail.ok: Renamed to...
    * testsuite/bug-procmailsubj.ok: ...this.
    * testsuite/bug-wnum.test: New test, extracted from the former
      color.test.
    * testsuite/bug-sysrepeat.test: Likewise.
    * testsuite/syslog.in: Renamed to...
    * testsuite/bug-sysrepeat.in: ...this.
    * testsuite/syslog.ok: Renamed to...
    * testsuite/bug-sysrepeat.ok: ...this.
    * testsuite/Makefile.in (TESTS): Updated according to the above
      changes.
      (TEST_IO): New variable.
      (EXTRA_DIST): Compute dynamically using ${TEST_IO}.
    * testsuite/version.test: Added DESCRIPTION.

    new files:
     testsuite/.arch-ids/bug-procmailsubj.test.id
     testsuite/.arch-ids/bug-sysrepeat.test.id
     testsuite/.arch-ids/bug-wnum.test.id
     testsuite/bug-procmailsubj.test testsuite/bug-sysrepeat.test
     testsuite/bug-wnum.test

    removed files:
     testsuite/.arch-ids/apm.in.id testsuite/.arch-ids/apm.ok.id
     testsuite/.arch-ids/exim.in.id testsuite/.arch-ids/exim.ok.id
     testsuite/.arch-ids/color.test.id testsuite/apm.in
     testsuite/apm.ok testsuite/exim.in testsuite/exim.ok
     testsuite/color.test

    modified files:
     ChangeLog testsuite/Makefile.in testsuite/defs
     testsuite/do-test testsuite/version.test

    renamed files:
     testsuite/.arch-ids/syslog.in.id
       ==> testsuite/.arch-ids/bug-sysrepeat.in.id
     testsuite/.arch-ids/syslog.ok.id
       ==> testsuite/.arch-ids/bug-sysrepeat.ok.id
     testsuite/.arch-ids/procmail.in.id
       ==> testsuite/.arch-ids/bug-procmailsubj.in.id
     testsuite/.arch-ids/procmail.ok.id
       ==> testsuite/.arch-ids/bug-procmailsubj.ok.id
     testsuite/syslog.in
       ==> testsuite/bug-sysrepeat.in
     testsuite/syslog.ok
       ==> testsuite/bug-sysrepeat.ok
     testsuite/procmail.in
       ==> testsuite/bug-procmailsubj.in
     testsuite/procmail.ok
       ==> testsuite/bug-procmailsubj.ok



2003-03-11 08:14:43 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-224

    Summary:
      ccze_getsubopt() redesign
    Revision:
      ccze--0.1--patch-224

    * configure.ac: Lift the suboptarg check from Thy, and drop the
      previous getsubopt() checks.
    * src/ccze-compat.h (ccze_getsubopt): Define this unconditionally.
    * src/ccze-compat.c [HAVE_GETSUBOPT] (ccze_getsubopt): New function.
      [!HAVE_GETSUBOPT] (getsubopt): Renamed to...
      [!HAVE_GETSUBOPT] (ccze_getsubopt): ...this.
    * src/ccze.c (parse_opt): Updated to new ccze_getsubopt calling
      conventions.

    modified files:
     ChangeLog configure.ac src/ccze-compat.c src/ccze-compat.h
     src/ccze.c


2003-03-08 11:39:34 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-223

    Summary:
      Fixed src/ccze.o dependencies
    Revision:
      ccze--0.1--patch-223

    * src/Makefile.in (ccze.o): Depend on ${top_srcdir}/ChangeLog too. So it
      picks up the new version number ASAP after a commit.

    modified files:
     ChangeLog src/Makefile.in


2003-03-08 10:30:23 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-222

    Summary:
      Fixed a minor word coloring bug
    Revision:
      ccze--0.1--patch-222

    * src/ccze-wordcolor (ccze_wordcolor_setup): Changed the `reg_pre' and
      `reg_post' regexps to be less greedy, and work even if the matched
      string is shorter than three characters.
    * testsuite/bug-wnum.in: New test-case input from Mark Szabo. Tests
      for the problem mentioned and fixed by the above change.
    * testsuite/bug-wnum.ok: The expected output from the test case.
    * testsuite/color.test (SUBTESTS): Added bug-wnum.
      (SUBTEST_PLUGINS): Added bug-wnum:syslog.
    * testsuite/Makefile.in (EXTRA_DIST): Added bug-wnum.in and bug-wnum.ok.

    new files:
     testsuite/.arch-ids/bug-wnum.in.id
     testsuite/.arch-ids/bug-wnum.ok.id testsuite/bug-wnum.in
     testsuite/bug-wnum.ok

    modified files:
     ChangeLog src/ccze-wordcolor.c testsuite/Makefile.in
     testsuite/color.test


2003-03-06 16:46:01 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-221

    Summary:
      mod_proftpd
    Revision:
      ccze--0.1--patch-221

    * src/mod_proftpd.c: New file.
    * ccze.plugins: Added proftpd.
    * doc/ccze.1.in (PLUGINS): Mention it.

    new files:
     src/.arch-ids/mod_proftpd.c.id src/mod_proftpd.c

    modified files:
     ChangeLog ccze.plugins doc/ccze.1.in


2003-03-06 08:33:10 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-220

    Summary:
      New, non-settable colors
    Revision:
      ccze--0.1--patch-220

    * src/ccze.h (ccze_color_t): Added CCZE_COLOR_STATIC_*.
    * src/ccze-color.c (ccze_color_keyword_map): Added them to the table.
      (ccze_color_init): Initialise them.
    * src/ccze-dump.c (ccze_dump_color_hidden): New function.
      (main): Skip one iteration of the loop, if the color is hidden.

    modified files:
     ChangeLog src/ccze-color.c src/ccze-dump.c src/ccze.h


2003-03-06 08:12:17 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-219

    Summary:
      make all-recursive, clean and distclean in testsuite/ too
    Revision:
      ccze--0.1--patch-219

    * Makefile.in (all-recursive): Descend into testsuite too.
      (clean): Likewise.
      (distclean): Likewise.

    modified files:
     ChangeLog Makefile.in


2003-03-06 08:03:55 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-218

    Summary:
      Support non-settable colors
    Revision:
      ccze--0.1--patch-218

    * src/ccze-color.c (CCZE_KEYWORD_R): New macro.
      (CCZE_KEYWORD): Use it.
      (CCZE_KEYWORD_H): New macro.
      (ccze_color_keyword_t): Added a ->settable member.
      (ccze_color_keyword_lookup): Renamed and made it a wrapper of...
      (_ccze_color_keyword_lookup): ...this.
      (_ccze_colorname_map_lookup): Use _ccze_color_keyword_lookup ().
      (ccze_color_parse): Likewise.
    
    This will allow us stuff like ccze_addstr (CCZE_COLOR_STATIC_BLUE,
    "Blah") in the near future...

    modified files:
     ChangeLog src/ccze-color.c


2003-03-05 20:38:10 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-217

    Summary:
      Got rid of PLUGIN_LIBPATH
    Revision:
      ccze--0.1--patch-217

    * src/ccze-plugin.c [PLUGIN_LIBPATH]: Got rid of this ancient relic. Use
      PKGLIBDIR instead.

    modified files:
     ChangeLog src/ccze-plugin.c


2003-03-05 15:57:02 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-216

    Summary:
      CCZE_ABI_VERSION
    Revision:
      ccze--0.1--patch-216

    * src/ccze.h (CCZE_ABI_VERSION): New constant.
      (ccze_plugin_t): The first member is now an int: abi_version.
    * src/ccze-plugin.c (_ccze_plugin_load): Do not load the plugin if
      abi_version does not match.
    
    This is a safety barrier. Old plugins had a `void *dlhandle' as their
    first member, initialised to NULL, thus resulting in a zero abi_version
    when opened with this later CCZE, therefore, getting rejected instead of
    causing a segfault later on.
    
    Obviously, when the structure changes incompatibly, CCZE_ABI_VERSION
    will get bumped.

    modified files:
     ChangeLog src/ccze-plugin.c src/ccze.h


2003-03-05 15:10:03 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-215

    Summary:
      Fixed good/bad word colorising
    Revision:
      ccze--0.1--patch-215

    * src/ccze-wordcolor.c (ccze_wordcolor_process_one): Unrolled the `if
     (slookup)' branch, it was a bad idea. (This reverts patch 179).

    modified files:
     ChangeLog src/ccze-wordcolor.c


2003-03-05 12:51:13 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-214

    Summary:
      Typo fixes
    Revision:
      ccze--0.1--patch-214

    * debian/control (Description): roboust -> robust.

    modified files:
     ChangeLog debian/control


2003-03-05 12:46:16 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-213

    Summary:
      ccze_getsubopt
    Revision:
      ccze--0.1--patch-213

    * configure.ac: Check for FreeBSD and Linux-style getsubopt().
    * src/ccze.c (ccze_getsubopt): New function.
      (parse_opt): Use ccze_getsubopt().

    modified files:
     ChangeLog configure.ac src/ccze.c


2003-03-04 18:54:42 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-212

    Summary:
      The `Avatar' release
    Revision:
      ccze--0.1--patch-212

      (Instrumental)
    
    * NEWS: Updated.
    * debian/changelog: Likewise.

    modified files:
     ChangeLog NEWS debian/changelog


2003-03-04 18:51:24 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-211

    Summary:
      Manual page corrections
    Revision:
      ccze--0.1--patch-211

    * doc/ccze.1.in: Escaped some more `-' chars.
    * doc/ccze-cssdump.1.in: Likewise.
    * doc/ccze-plugin.7.in: Likewise, and corrected the section too.

    modified files:
     ChangeLog doc/ccze-cssdump.1.in doc/ccze-plugin.7.in
     doc/ccze.1.in


2003-03-04 17:07:25 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-210

    Summary:
      mod_procmail fix
    Revision:
      ccze--0.1--patch-210

    * src/mod_procmail.c (ccze_procmail_setup): Added a missing `?' to the
      regexps, so it catches stuff for real.
    * testsuite/procmail.in: Added a test case that triggered the bug,
      thanks to Morten Brix Pedersen.
    * testsuite/procmail.ok: And added the expected, good output.
    * testsuite/Makefile.in (EXTRA_DIST): Include them.
    * testsuite/color.test (SUBTESTS): Run the new test.
    * THANKS: Added Morten Brix Pedersen.

    new files:
     testsuite/.arch-ids/procmail.in.id
     testsuite/.arch-ids/procmail.ok.id testsuite/procmail.in
     testsuite/procmail.ok

    modified files:
     ChangeLog THANKS src/mod_procmail.c testsuite/Makefile.in
     testsuite/color.test


2003-03-04 17:02:03 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-209

    Summary:
      Documentation update
    Revision:
      ccze--0.1--patch-209

    * doc/ccze-plugin.7.in (SYNOPSIS): Added all the important function
      definitions.
      (DISPLAY METHODS): Document the display methods.
      (HELPER METHODS): Document the helper methods.
    * doc/ccze.1.in (OPTIONS): Document that -a's arguments are whitespace
      separated.
      (NOTES): Removed this section.
    * TODO: Updated.
    * FAQ: Added a section about extensions.

    modified files:
     ChangeLog FAQ TODO debian/rules doc/ccze-plugin.7.in
     doc/ccze.1.in


2003-03-03 18:20:30 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-208

    Summary:
      Recompute subjlen
    Revision:
      ccze--0.1--patch-208

    * src/ccze.c (ccze_main): Recompute subjlen before calling
      ccze_plugin_run. Fixes a rare output corruption.

    modified files:
     ChangeLog src/ccze.c


2003-03-03 15:23:09 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-207

    Summary:
      CCZE_PLUGIN_TYPE_ANY
    Revision:
      ccze--0.1--patch-207

    * src/ccze.h (ccze_plugin_type_t): Added CCZE_PLUGIN_TYPE_ANY.
    * src/ccze-plugin.c (ccze_plugin_run): Run the plugin if it is _ANY,
      regardless of `type'.

    modified files:
     ChangeLog src/ccze-plugin.c src/ccze.h


2003-03-03 14:15:45 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-206

    Summary:
      configure.ac update
    Revision:
      ccze--0.1--patch-206

    * configure.ac: Updated, based on autoscan results.

    modified files:
     ChangeLog configure.ac


2003-03-03 13:47:10 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-205

    Summary:
      ccze_color_keyword_lookup()
    Revision:
      ccze--0.1--patch-205

    * src/ccze.h (ccze_color_keyword_lookup): New public prototype.
    * src/ccze-color.c (_ccze_color_keyword_lookup): Renamed to...
      (ccze_color_keyword_lookup): ..this, and removed staticness.

    modified files:
     ChangeLog src/ccze-color.c src/ccze.h


2003-03-02 18:18:12 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-204

    Summary:
      Minor plugin-argument cleanup
    Revision:
      ccze--0.1--patch-204

    * src/ccze.c (parse_opt): Removed a debugging printf.
    * src/ccze-plugin.c (_ccze_plugin_load): Do not touch ->argv, so we can
      check for NULL in plugins.

    modified files:
     ChangeLog src/ccze-plugin.c src/ccze.c


2003-03-02 17:25:05 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-203

    Summary:
      Fixed ccze.1.in
    Revision:
      ccze--0.1--patch-203

    * doc/ccze.1.in (PLUGINS): Fixed. There were a bunch of roff errors.
      (well, not errors.. it just did not format right)

    modified files:
     ChangeLog doc/ccze.1.in


2003-03-02 17:20:58 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-202

    Summary:
      Support for passing arguments to plugins
    Revision:
      ccze--0.1--patch-202

    * src/ccze.h (ccze_plugin_t): Added an ->argv member.
      (CCZE_DEFINE_PLUGIN): Modified accordingly.
      (ccze_plugin_argv_get): New function prototype.
    * src/ccze-private.h (ccze_plugin_argv_init): New function prototype.
      (ccze_plugin_argv_set): Likewise.
      (ccze_plugin_argv_finalise): Likewise.
    * src/ccze-plugin.c (ccze_plugin_argv_init): New function.
      (ccze_plugin_argv_set): Likewise.
      (ccze_plugin_argv_finalise): Likewise.
      (ccze_plugin_argv_get): Likewise.
      (_ccze_plugin_load): Initialise ->argv.
      (_ccze_plugin_find): New function.
      (_ccze_plugin_loaded): Use it.
      (ccze_plugin_shutdown): Free ->argv.
    * src/ccze.c (options): Added --argument.
      (parse_opt): Handle it.
      (ccze_main): Call ccze_plugin_init() earlier, and
      ccze_plugin_argv_finalise() after loading the plugins.
      (main): Call ccze_plugin_argv_init().
    * src/Makefile.in (ccze-dump): Depend on ccze-color.c too.
      (ccze-cssdump): Likewise.
    * doc/ccze.1: Documented --argument.
    * doc/ccze-plugin.7.in: Documented ccze_plugin_argv_get().

    modified files:
     ChangeLog doc/ccze-plugin.7.in doc/ccze.1.in src/Makefile.in
     src/ccze-plugin.c src/ccze-private.h src/ccze.c src/ccze.h


2003-02-25 09:38:40 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-201

    Summary:
      FAQ
    Revision:
      ccze--0.1--patch-201

    * FAQ: New file.
    * Makefile.in (EXTRA_DIST): Added it.
    * ccze.spec.in (%files): Include it among the %docs.
    * debian/rules (install): Install it.

    new files:
     .arch-ids/FAQ.id FAQ

    modified files:
     ChangeLog Makefile.in ccze.spec.in debian/rules


2003-02-21 10:41:59 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-200

    Summary:
      The `Enigma of the Absolute' release
    Revision:
      ccze--0.1--patch-200

      Across the sea lies the fountain of renewal
      Where you will see the whole cause of your loneliness
      Can be measured in dreams that transcend all these lies
      And I wish and I pray that there may come a day
      For a saviour's arms...
    
    * NEWS: Updated.
    * debian/changelog: Likewise.

    modified files:
     ChangeLog NEWS debian/changelog


2003-02-21 09:09:02 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-199

    Summary:
      Minor mem-leak fix in argp_parse
    Revision:
      ccze--0.1--patch-199

    * src/ccze-compat.c [HAVE_GETOPT_LONG] (argp_parse): Free `longopts'.

    modified files:
     ChangeLog src/ccze-compat.c


2003-02-20 17:32:51 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-198

    Summary:
      Fixed a malloc issue
    Revision:
      ccze--0.1--patch-198

    * src/ccze-compat.c [HAVE_GETOPT_LONG] (argp_parse): Use ccze_calloc,
      not ccze_malloc.

    modified files:
     ChangeLog src/ccze-compat.c


2003-02-20 17:03:45 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-197

    Summary:
      Support long options everywhere, where getopt_long is present
    Revision:
      ccze--0.1--patch-197

    * configure.ac: Check for getopt_long in libc and libgnugetopt.
    * src/ccze-compat.c (argp_parse): Use getopt_long, if present. Also
      format the --help message a bit better.

    modified files:
     ChangeLog configure.ac src/ccze-compat.c


2003-02-20 15:28:00 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-196

    Summary:
      .spec update
    Revision:
      ccze--0.1--patch-196

    * ccze.spec.in: Use %{buildroot}, %configure and %makeinstall. While
      there, copied the long description from debian/control.

    modified files:
     ChangeLog ccze.spec.in


2003-02-20 15:16:11 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-195

    Summary:
      Fixed make dist from an objdir
    Revision:
      ccze--0.1--patch-195

    * Rules.mk.in (distdir): Copy from the current dir, if the file does not
      exist in ${srcdir}.

    modified files:
     ChangeLog Rules.mk.in


2003-02-20 15:06:21 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-194

    Summary:
      Fixed a typo
    Revision:
      ccze--0.1--patch-194

    * src/Makefile.in (ccze-compat.o): Depend on .c, not on itself.

    modified files:
     ChangeLog src/Makefile.in


2003-02-20 15:01:37 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-193

    Summary:
      Add a generator meta-tag to the HTML output
    Revision:
      ccze--0.1--patch-193

    * src/ccze.c (ccze_main): Add a generator meta-tag to the HTML output.

    modified files:
     ChangeLog src/ccze.c


2003-02-20 11:40:57 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-192

    Summary:
      True64 port
    Revision:
      ccze--0.1--patch-192

    * src/ccze.h: #include <ncurses.h>
      (ccze_malloc): New prototype.
      (ccze_realloc): Likewise.
      (ccze_calloc): Likewise.
    * src/ccze-compat.c: #include <ccze.h>
      (ccze_malloc): New function.
      (ccze_realloc): Likewise.
      (ccze_calloc): Likewise.
    
    All malloc/realloc/calloc users updated.
    
    * src/ccze-wordcolor.c: Do not #include <curses.h>, ccze.h does that
      for us.
    * src/Makefile.in (ccze-compat.o): New dependency-target.
    * THANKS: Added Erik Braun.

    modified files:
     ChangeLog THANKS src/Makefile.in src/ccze-compat.c
     src/ccze-dump.c src/ccze-plugin.c src/ccze-wordcolor.c
     src/ccze.c src/ccze.h


2003-02-13 17:59:10 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-191

    Summary:
      THANKS update
    Revision:
      ccze--0.1--patch-191

    * THANKS: Added a few people.

    modified files:
     ChangeLog THANKS


2003-02-13 17:46:33 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-190

    Summary:
      unLinuxize version.test
    Revision:
      ccze--0.1--patch-190

    * testsuite/version.test: Use `-V' instead of `--version'.

    modified files:
     ChangeLog testsuite/version.test


2003-02-13 17:43:10 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-189

    Summary:
      Fixed strndup() implementation.
    Revision:
      ccze--0.1--patch-189

    * src/ccze-compat.c [!HAVE_STRNDUP] (strndup): NULL-terminate the
      string.

    modified files:
     ChangeLog src/ccze-compat.c


2003-02-13 17:20:03 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-188

    Summary:
      New getline() implementation from Mailutils
    Revision:
      ccze--0.1--patch-188

    * configure.ac: Check for getdelim() too.
    * src/ccze-compat.h [!HAVE_GETDELIM] (getdelim): New prototype.
    * src/ccze-compat.c [!HAVE_GETLINE] (getline): New implementation.
      [!HAVE_GETDELIM] (getdelim): New function.

    modified files:
     ChangeLog configure.ac src/ccze-compat.c src/ccze-compat.h


2003-02-13 16:22:32 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-187

    Summary:
      Use pcre-config
    Revision:
      ccze--0.1--patch-187

    * configure.ac: Disabled the pcre.h and pcre/pcre.h tests, likewise the
      -lpcre test. Use pcre-config instead.
    * src/Makefile.in (ALL_CFLAGS): Added @PCRE_CFLAGS@.
      (LIBS): Added @PCRE_LIBS@.
    * src/ccze.h: #include <pcre.h>, unconditionally.

    modified files:
     ChangeLog configure.ac src/Makefile.in src/ccze.h


2003-02-12 22:44:25 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-186

    Summary:
      Use stringification in CCZE_DEFINE_PLUGIN.
    Revision:
      ccze--0.1--patch-186

    * src/ccze.h (CCZE_DEFINE_PLUGIN): Use stringification, and remove the
      quoted-name argument. All users updated.
    * doc/ccze-plugin.7.in: Reflect the above change.

    modified files:
     ChangeLog doc/ccze-plugin.7.in src/ccze.h src/mod_apm.c
     src/mod_distcc.c src/mod_exim.c src/mod_fetchmail.c
     src/mod_httpd.c src/mod_icecast.c src/mod_oops.c src/mod_php.c
     src/mod_postfix.c src/mod_procmail.c src/mod_squid.c
     src/mod_sulog.c src/mod_super.c src/mod_syslog.c
     src/mod_ulogd.c src/mod_vsftpd.c src/mod_xferlog.c


2003-02-12 22:33:49 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-185

    Summary:
      Corrected ccze-plugin.7 SYNOPSIS
    Revision:
      ccze--0.1--patch-185

    * doc/ccze-plugin.7 (SYNOPSIS): Include existing, non-obsolete headers
      only. Also moved the CCZE_DEFINE_PLUGIN call to the end.

    modified files:
     ChangeLog doc/ccze-plugin.7.in


2003-02-12 22:13:43 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-184

    Summary:
      Fixed an ICC warning
    Revision:
      ccze--0.1--patch-184

    * src/ccze.c (ccze_addstr_internal): Use a temporary variable to hold
      the result of ccze_color_lookup_name().

    modified files:
     ChangeLog src/ccze.c


2003-02-12 21:57:46 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-183

    Summary:
      mod_distcc
    Revision:
      ccze--0.1--patch-183

    * src/mod_distcc.c: New file.
    * ccze.plugins: Added distcc.
    * doc/ccze.1.in: Documented it.

    new files:
     src/.arch-ids/mod_distcc.c.id src/mod_distcc.c

    modified files:
     ChangeLog ccze.plugins doc/ccze.1.in


2003-02-12 18:56:11 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-182

    Summary:
      Include some more files
    Revision:
      ccze--0.1--patch-182

    * testsuite/Makefile.in (EXTRA_DIST): Added defs and do-test.

    modified files:
     ChangeLog testsuite/Makefile.in


2003-02-12 18:51:31 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-181

    Summary:
      argp fixes
    Revision:
      ccze--0.1--patch-181

    * src/ccze.c (options): Removed the first NULL entry.
    * src/ccze-compat.h (OPTION_HIDDEN): New constant.
    * src/ccze-compat.c (argp_parse): Do not treat -h specially, it is used
      by something else. Also, do not show hidden options in -h output.
      As a consequence, all references to -h were changed to -?.

    modified files:
     ChangeLog src/ccze-compat.c src/ccze-compat.h src/ccze.c


2003-02-12 17:53:59 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-180

    Summary:
      Fixed a typo
    Revision:
      ccze--0.1--patch-180

    * testsuite/Makefile.in (EXTRA_DIST): It is `exim.ok', not `exim.out'.

    modified files:
     ChangeLog testsuite/Makefile.in


2003-02-10 17:49:41 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-179

    Summary:
      -o nolookups fix
    Revision:
      ccze--0.1--patch-179

    * src/ccze-wordcolor.c (ccze_wordcolor_process_one): Wrap all the
      slookup stuff in one if branch. Solves the -d -o nolookups problem.

    modified files:
     ChangeLog src/ccze-wordcolor.c


2003-02-10 17:42:39 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-178

    Summary:
      Support -p foo,bar
    Revision:
      ccze--0.1--patch-178

    * src/ccze.c (parse_opt): Use getsubopt when parsing -p.
    * testsuite/color.test: Modified to use this new feature.

    modified files:
     ChangeLog src/ccze.c testsuite/color.test


2003-02-10 09:46:56 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-177

    Summary:
      Exim added to the testsuite
    Revision:
      ccze--0.1--patch-177

    * testsuite/exim.in: New file.
    * testsuite/exim.out: Likewise.
    * testsuite/Makefile.in (EXTRA_DIST): Added them.
    * testsuite/color.test (SUBTESTS): Added exim.

    new files:
     testsuite/.arch-ids/exim.in.id testsuite/.arch-ids/exim.ok.id
     testsuite/exim.in testsuite/exim.ok

    modified files:
     ChangeLog testsuite/Makefile.in testsuite/color.test


2003-02-10 09:18:11 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-176

    Summary:
      New tests
    Revision:
      ccze--0.1--patch-176

    * testsuite/syslog.test: Renamed to...
    * testsuite/color.test: ..this. Also hacked to run multiple tests in a
      row.
    * testsuite/apm.in: New file.
    * testsuite/apm.ok: Likewise.
    * testsuite/Makefile.in (EXTRA_DIST): Added apm.in and apm.ok.

    new files:
     testsuite/.arch-ids/apm.in.id testsuite/.arch-ids/apm.ok.id
     testsuite/apm.in testsuite/apm.ok

    modified files:
     ChangeLog testsuite/Makefile.in testsuite/color.test

    renamed files:
     testsuite/.arch-ids/syslog.test.id
       ==> testsuite/.arch-ids/color.test.id
     testsuite/syslog.test
       ==> testsuite/color.test



2003-02-10 08:44:49 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-175

    Summary:
      Made the testsuite use -d.
    Revision:
      ccze--0.1--patch-175

    * testsuite/syslog.ok: Regenerated output.
    * testsuite/syslog.test: Updated.

    modified files:
     ChangeLog testsuite/syslog.ok testsuite/syslog.test


2003-02-10 08:35:44 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-174

    Summary:
      --debug
    Revision:
      ccze--0.1--patch-174

    * src/ccze-private.h (ccze_config_t): New member: `debug'.
    * src/ccze.c (ccze_config): Initialise it to zero.
      (options): Add --debug.
      (parse_opt): Parse it.
      (ccze_newline): Handle ccze_config.debug.
      (ccze_addstr_internal): Likewise.
      (sigint_handler): Likewise.
      (ccze_main): Likewise.

    modified files:
     ChangeLog src/ccze-private.h src/ccze.c


2003-02-09 19:08:49 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-173

    Summary:
      Fixed a compile warning
    Revision:
      ccze--0.1--patch-173

    * src/ccze-plugin.c (_ccze_plugin_allow): `i' should be `int', not
      `size_t'. ccze_config.pluginlist_len was changed a few commits ago.

    modified files:
     ChangeLog src/ccze-plugin.c


2003-02-09 18:49:31 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-172

    Summary:
      First shot at a testsuite
    Revision:
      ccze--0.1--patch-172

    * configure.ac (AC_OUTPUT): Added testsuite/Makefile.
    * Rules.mk.in (DISTFILES): Include ${TESTS}.
    * Makefile.in (distdir): Make distdir in testsuite/ too.
      (check): New target.
    * testsuite/*: New files.

    new files:
     testsuite/.arch-ids/Makefile.in.id testsuite/.arch-ids/defs.id
     testsuite/.arch-ids/do-test.id
     testsuite/.arch-ids/syslog.test.id
     testsuite/.arch-ids/version.test.id
     testsuite/.arch-ids/syslog.in.id
     testsuite/.arch-ids/syslog.ok.id testsuite/.arch-ids/=id
     testsuite/Makefile.in testsuite/defs testsuite/do-test
     testsuite/syslog.test testsuite/version.test
     testsuite/syslog.in testsuite/syslog.ok

    modified files:
     ChangeLog Makefile.in Rules.mk.in configure.ac

    new directories:
     testsuite/.arch-ids testsuite


2003-02-09 13:57:34 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-171

    Summary:
      The `Mesmerism' release.
    Revision:
      ccze--0.1--patch-171

      Remain in light
      Renounce your fears
      For you have been
      Mesmerized
    
    * configure.ac: Call ourselves -stable.
    * NEWS: Updated.
    * debian/changelog: Likewise.
    * debian/control (Description): Removed trailing dot from short
      description.

    modified files:
     ChangeLog NEWS configure.ac debian/changelog debian/control


2003-02-09 13:02:02 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-170

    Summary:
      colorize built from another source
    Revision:
      ccze--0.1--patch-170

    * debian/control (ccze): Replaces: colorize (<= 0.3.1-2)
      (colorize): Removed.
    * debian/rules: Removed colorize building code.

    modified files:
     ChangeLog debian/control debian/rules


2003-02-08 22:53:05 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-169

    Summary:
      Fixed mod_ulogd.
    Revision:
      ccze--0.1--patch-169

    * src/mod_ulogd.c (ccze_ulogd_process): In case there is a field=value
      pair, put a space after the value.

    modified files:
     ChangeLog src/mod_ulogd.c


2003-02-08 16:47:47 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-168

    Summary:
      mod_oops
    Revision:
      ccze--0.1--patch-168

    * src/mod_oops.c: New file.
    * ccze.plugins: Added oops.
    * doc/ccze.1.in (PLUGINS): Document it.
    * TODO: Removed relevant entry.

    new files:
     src/.arch-ids/mod_oops.c.id src/mod_oops.c

    modified files:
     ChangeLog TODO ccze.plugins doc/ccze.1.in


2003-02-07 23:33:44 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-167

    Summary:
      Optional building of compatibility package
    Revision:
      ccze--0.1--patch-167

    * debian/rules (COMPAT): If DEB_BUILD_OPTIONS contains compat, set it to
      binary-colorize, otherwise empty.
      (COMPAT_VERSION): New variable.
      (binary-indep): Depend on ${COMPAT} and use ${COMPAT_VERSION}.

    modified files:
     ChangeLog debian/rules


2003-02-07 23:15:44 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-166

    Summary:
      icecast/usage.log colorisation
    Revision:
      ccze--0.1--patch-166

    * src/mod_icecast.c (ccze_icecast_usage_process): New function.
      (ccze_icecast_setup): Initialise reg_icecast_usage.
      (ccze_icecast_shutdown): Free it.
      (ccze_icecast_handle): Hande usage.log first.
    * doc/ccze.1.in (PLUGINS): Corrected a typo. It is usage.log, not
      user.log

    modified files:
     ChangeLog doc/ccze.1.in src/mod_icecast.c


2003-02-07 22:43:56 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-165

    Summary:
      Splitted off ALL_PLUGINS from configure.ac
    Revision:
      ccze--0.1--patch-165

    * configure.ac (ALL_PLUGINS): Moved the list to...
    * ccze.plugins: ...here.
    * Makefile.in (DISTFILES): Include ccze.plugins.

    new files:
     .arch-ids/ccze.plugins.id ccze.plugins

    modified files:
     ChangeLog Makefile.in configure.ac


2003-02-07 22:27:20 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-164

    Summary:
      Fixed mod_php copyright year
    Revision:
      ccze--0.1--patch-164

    * src/mod_php.c: Fixed the copyright year, it is 2003 only.

    modified files:
     ChangeLog src/mod_php.c


2003-02-07 22:20:35 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-163

    Summary:
      Fixed CSS
    Revision:
      ccze--0.1--patch-163

    * src/ccze-color.c (ccze_csscolor_normal_map): red->darkred.
      (ccze_csscolor_bold_map): lightred->red.

    modified files:
     ChangeLog src/ccze-color.c


2003-02-07 22:16:59 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-162

    Summary:
      mod_icecast
    Revision:
      ccze--0.1--patch-162

    * src/mod_icecast.c: New file.
    * configure.ac (ALL_PLUGINS): Added icecast.
    * doc/ccze.1.in (PLUGINS): Added a note about it.
    * TODO: Removed relevant entry.

    new files:
     src/.arch-ids/mod_icecast.c.id src/mod_icecast.c

    modified files:
     ChangeLog TODO configure.ac doc/ccze.1.in


2003-02-07 21:44:25 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-161

    Summary:
      Make builtin plugins behave correctly when -p is used.
    Revision:
      ccze--0.1--patch-161

    * src/ccze-private.h (ccze_config_t): New typedef.
    * src/ccze-plugin.c (_ccze_plugin_allow): New function.
      (ccze_plugin_add): Use it.
    * src/ccze.c (ccze_config_t): Use the new ccze_config_t type, and do not
      make it static.
      (ccze_main): When loading selected plugins, use a temporary variable,
      don't clobber ccze_plugin.pluginlist_len.

    modified files:
     ChangeLog src/ccze-plugin.c src/ccze-private.h src/ccze.c


2003-02-07 21:10:59 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-160

    Summary:
      mod_php
    Revision:
      ccze--0.1--patch-160

    * configure.ac (ALL_PLUGINS): Added php.
    * src/mod_php.c: New file.
    * src/ccze.h (ccze_color_t): Added CCZE_COLOR_KEYWORD.
    * src/ccze-color.c (ccze_color_keyword_map): Added `keyword'.
      (ccze_color_init): Initialize CCZE_COLOR_KEYWORD to bold yellow.
    * src/ccze-wordcolor.c (words_error): Added fatal.
    * doc/ccze.1 (PLUGINS): Mention mod_php.
    * TODO: Removed relevant entry.

    new files:
     src/.arch-ids/mod_php.c.id src/mod_php.c

    modified files:
     ChangeLog TODO configure.ac doc/ccze.1.in src/ccze-color.c
     src/ccze-wordcolor.c src/ccze.h


2003-02-07 20:08:51 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-159

    Summary:
      Fixed building in an objdir
    Revision:
      ccze--0.1--patch-159

    * Makefile.in (ccze.spec): Depend on Rules.mk, not
      ${top_srcdir}/Rules.mk.

    modified files:
     ChangeLog Makefile.in


2003-02-07 15:08:21 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-158

    Summary:
      colorize->ccze transition
    Revision:
      ccze--0.1--patch-158

    * debian/control: Added a dummy colorize control info.
    * debian/rules (binary-colorize): New target.
      (clean): remove ${PKGDIR_D} too.
      (.PHONY): Added binary-colorize.

    modified files:
     ChangeLog debian/control debian/rules


2003-02-07 08:10:52 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-157

    Summary:
      Description improvement
    Revision:
      ccze--0.1--patch-157

    * debian/control (Description): Rewrote.

    modified files:
     ChangeLog debian/control


2003-02-05 13:44:30 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-156

    Summary:
      Another makefile fix
    Revision:
      ccze--0.1--patch-156

    * src/Makefile.in (ccze-builtins.c): Surround the for cycles with an
      ifneq. Required for older, buggy bashes.

    modified files:
     ChangeLog src/Makefile.in


2003-02-05 08:20:47 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-155

    Summary:
      Makefile fixes
    Revision:
      ccze--0.1--patch-155

    * Makefile.in (ccze.spec): Use ${srcdir}/$@.
    * doc/Makefile.in (% [%.in]): Likewise.
    * src/Makefile.in (ccze-builtins.c): Do not use echo -e, but multiple
      echos. Allows building with /bin/ash.
    

    modified files:
     ChangeLog Makefile.in doc/Makefile.in src/Makefile.in


2003-02-05 01:12:10 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-154

    Summary:
      THANKS update
    Revision:
      ccze--0.1--patch-154

    * THANKS: Added Alan Schmitt.

    modified files:
     ChangeLog THANKS


2003-02-05 01:03:23 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-153

    Summary:
      Transparency support
    Revision:
      ccze--0.1--patch-153

    * src/ccze.c (ccze_config): Added a `transparent', initialised to 1.
      (parse_opt): Support it.
      (ccze_main): If ccze_config.transparent is on, and
      use_default_colors() returns OK, set colors[0] to -1, which appears
      as transparent, in an appropriate XTerm.

    modified files:
     ChangeLog doc/ccze.1.in src/ccze.c


2003-02-04 17:26:12 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-152

    Summary:
      Fixed mod_xferlog's date regexp
    Revision:
      ccze--0.1--patch-152

    * src/mod_xferlog.c (ccze_xferlog_setup): Allow dates of the form 
      "Feb  4" not only "Feb 04".

    modified files:
     ChangeLog src/mod_xferlog.c


2003-02-04 17:20:22 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-151

    Summary:
      TODO update
    Revision:
      ccze--0.1--patch-151

    * TODO: Updated.

    modified files:
     ChangeLog TODO


2003-02-04 17:04:36 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-150

    Summary:
      The `Cardinal Sin' release.
    Revision:
      ccze--0.1--patch-150

      When all is said and done
      It will be you who pays the price
    
    * NEWS: Updated.
    * debian/changelog: Likewise.

    modified files:
     ChangeLog NEWS debian/changelog


2003-02-04 16:51:59 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-149

    Summary:
      SIGHUP handler
    Revision:
      ccze--0.1--patch-149

    * src/ccze.c (sigint_handler): Only do the freeing if sig is non-zero.
      (sighup_handler): New function.
      (ccze_main): Moved most of main() here.
      (main): Use ccze_main().

    modified files:
     ChangeLog src/ccze.c


2003-02-02 15:48:13 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-148

    Summary:
      Compatibility..
    Revision:
      ccze--0.1--patch-148

    * src/ccze.c: #include "ccze-compat.h"
    * src/ccze-wordcolor.c: Likewise.
    * src/mod_postfix.c: Likewise.
    * src/mod_syslog.c: Likewise.
    * src/mod_ulogd.c: Likewise.

    modified files:
     ChangeLog src/ccze-wordcolor.c src/ccze.c src/mod_postfix.c
     src/mod_syslog.c src/mod_ulogd.c


2003-02-01 22:20:42 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-147

    Summary:
      Code cleanups
    Revision:
      ccze--0.1--patch-147

    * src/ccze-worcolor.c (ccze_wordcolor_process_one): Use a temporary
      variable to hold the length of `host' and `ip' (in the hostip
      branch)
    * src/mod_postfix.c (_ccze_postfix_process_one): Likewise for `s' and
      `field'.
    

    modified files:
     ChangeLog src/ccze-wordcolor.c src/mod_postfix.c


2003-01-31 08:57:37 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-146

    Summary:
      Minor wordcolor fixes
    Revision:
      ccze--0.1--patch-146

    * src/ccze-wordcolor.c (ccze_wordcolor_setup): Allow dots in reg_hostip,
      and `=' and '+' in reg_email and reg_msgid.

    modified files:
     ChangeLog src/ccze-wordcolor.c


2003-01-31 08:49:55 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-145

    Summary:
      Postfix colorizer fix
    Revision:
      ccze--0.1--patch-145

    * src/mod_postfix.c (ccze_postfix_setup): Modified the regexp to catch
      `from=' too.

    modified files:
     ChangeLog src/mod_postfix.c


2003-01-30 00:56:43 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-144

    Summary:
      reg_hostip fixup
    Revision:
      ccze--0.1--patch-144

    * src/ccze-wordcolor.c (ccze_wordcolor_setup): Modified reg_hostip to
      match dotless hosts too.

    modified files:
     ChangeLog src/ccze-wordcolor.c


2003-01-28 17:37:26 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-143

    Summary:
      mod_postfix
    Revision:
      ccze--0.1--patch-143

    * configure.ac (ALL_PLUGINS): Added postfix.
    * src/mod_postfix.c: New file.
    * doc/ccze.1.in (PLUGINS): Added a note about this.

    new files:
     src/.arch-ids/mod_postfix.c.id src/mod_postfix.c

    modified files:
     ChangeLog configure.ac doc/ccze.1.in


2003-01-28 17:16:52 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-142

    Summary:
      Word coloring enhancements and HTML-escaping
    Revision:
      ccze--0.1--patch-142

    * src/ccze.c (ccze_str_htmlencode): New function.
      (ccze_addstr): Renamed to, and made it a wrapper around...
      (ccze_addstr_internal): ...this. Use ccze_str_htmlencode().
      (ccze_space): Use ccze_addstr_internal when adding a HTML space.
    * src/ccze-wordcolor.c (ccze_wordcolor_process_one): Process
      Message-ID and HOST[IP] stuff too. Do not ccze_space()!
      (ccze_wordcolor_process): Use the ccze_space() here.
      (ccze_wordcolor_setup): Setup _msgid and _hostid.
      (ccze_wordcolor_shutdown): Free them.

    modified files:
     ChangeLog src/ccze-wordcolor.c src/ccze.c


2003-01-28 12:10:59 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-141

    Summary:
      mod_xferlog
    Revision:
      ccze--0.1--patch-141

    * configure.ac (ALL_PLUGINS): Added xferlog.
    * src/ccze.h (ccze_color_t): Added CCZE_COLOR_FTPCODES.
    * src/ccze-color.c (ccze_color_keyword_map): Recognise `ftpcodes'.
      (ccze_color_init): Initialise [CCZE_COLOR_FTPCODES].
    * doc/ccze.1.in (PLUGINS): Mention xferlog.
    * TODO: Removed relevant entry.

    new files:
     src/.arch-ids/mod_xferlog.c.id src/mod_xferlog.c

    modified files:
     ChangeLog TODO configure.ac doc/ccze.1.in src/ccze-color.c
     src/ccze.h


2003-01-28 11:16:07 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-140

    Summary:
      Cosmetic fixup
    Revision:
      ccze--0.1--patch-140

    Updated the internal filename reference in all the modules.

    modified files:
     ChangeLog src/mod_apm.c src/mod_exim.c src/mod_fetchmail.c
     src/mod_httpd.c src/mod_procmail.c src/mod_squid.c
     src/mod_sulog.c src/mod_super.c src/mod_syslog.c
     src/mod_ulogd.c src/mod_vsftpd.c


2003-01-25 12:45:08 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-139

    Summary:
      .spec update
    Revision:
      ccze--0.1--patch-139

    * ccze.spec.in: Updated to include ccze.h.

    modified files:
     ChangeLog ccze.spec.in


2003-01-24 09:50:02 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-138

    Summary:
      Documentation update
    Revision:
      ccze--0.1--patch-138

    * doc/ccze-plugin.7.in (EXAMPLE): Updated the #includes, to reflect the
      recent reorganisation.

    modified files:
     ChangeLog doc/ccze-plugin.7.in


2003-01-24 09:44:17 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-137

    Summary:
      Install ccze.h.
    Revision:
      ccze--0.1--patch-137

    * Rules.mk.in (includedir): New substvar.
    * src/Makefile.in (install): Install ccze.h
      (uninstall): Uninstall it.

    modified files:
     ChangeLog Rules.mk.in src/Makefile.in


2003-01-23 18:12:40 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-136

    Summary:
      Internal cleanup, part two
    Revision:
      ccze--0.1--patch-136

    Renamed all modules to mod_<foo>.c, modified src/Makefile.in
    accordingly.

    modified files:
     ChangeLog src/Makefile.in

    renamed files:
     src/.arch-ids/ccze-sulog.c.id
       ==> src/.arch-ids/mod_sulog.c.id
     src/.arch-ids/ccze-fetchmail.c.id
       ==> src/.arch-ids/mod_fetchmail.c.id
     src/.arch-ids/ccze-ulogd.c.id
       ==> src/.arch-ids/mod_ulogd.c.id
     src/.arch-ids/ccze-apm.c.id
       ==> src/.arch-ids/mod_apm.c.id
     src/.arch-ids/ccze-super.c.id
       ==> src/.arch-ids/mod_super.c.id
     src/.arch-ids/ccze-exim.c.id
       ==> src/.arch-ids/mod_exim.c.id
     src/.arch-ids/ccze-httpd.c.id
       ==> src/.arch-ids/mod_httpd.c.id
     src/.arch-ids/ccze-procmail.c.id
       ==> src/.arch-ids/mod_procmail.c.id
     src/.arch-ids/ccze-squid.c.id
       ==> src/.arch-ids/mod_squid.c.id
     src/.arch-ids/ccze-syslog.c.id
       ==> src/.arch-ids/mod_syslog.c.id
     src/.arch-ids/ccze-vsftpd.c.id
       ==> src/.arch-ids/mod_vsftpd.c.id
     src/ccze-sulog.c
       ==> src/mod_sulog.c
     src/ccze-fetchmail.c
       ==> src/mod_fetchmail.c
     src/ccze-ulogd.c
       ==> src/mod_ulogd.c
     src/ccze-apm.c
       ==> src/mod_apm.c
     src/ccze-super.c
       ==> src/mod_super.c
     src/ccze-exim.c
       ==> src/mod_exim.c
     src/ccze-httpd.c
       ==> src/mod_httpd.c
     src/ccze-procmail.c
       ==> src/mod_procmail.c
     src/ccze-squid.c
       ==> src/mod_squid.c
     src/ccze-syslog.c
       ==> src/mod_syslog.c
     src/ccze-vsftpd.c
       ==> src/mod_vsftpd.c



2003-01-23 17:43:46 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-135

    Summary:
      Internal cleanup, part one
    Revision:
      ccze--0.1--patch-135

    All the public structures and functions are in ccze.h now, private
    ones in ccze-private.h. All source files updated.

    new files:
     src/.arch-ids/ccze-private.h.id src/ccze-private.h

    removed files:
     src/.arch-ids/ccze-wordcolor.h.id
     src/.arch-ids/ccze-plugin.h.id src/.arch-ids/ccze-color.h.id
     src/ccze-wordcolor.h src/ccze-plugin.h src/ccze-color.h

    modified files:
     ChangeLog src/Makefile.in src/ccze-apm.c src/ccze-color.c
     src/ccze-compat.c src/ccze-cssdump.c src/ccze-dump.c
     src/ccze-exim.c src/ccze-fetchmail.c src/ccze-httpd.c
     src/ccze-plugin.c src/ccze-procmail.c src/ccze-squid.c
     src/ccze-sulog.c src/ccze-super.c src/ccze-syslog.c
     src/ccze-ulogd.c src/ccze-vsftpd.c src/ccze-wordcolor.c
     src/ccze.c src/ccze.h


2003-01-19 18:13:09 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-134

    Summary:
      The `Song of the Dispossessed' release.
    Revision:
      ccze--0.1--patch-134

      You blocked up my ears
      You plucked out my eyes
      You cut out my tongue
      You fed me with lies
    
      Oh Lord...
    
    * NEWS: Updated.
    * debian/changelog: Likewise.

    modified files:
     ChangeLog NEWS debian/changelog


2003-01-19 14:42:26 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-133

    Summary:
      Fixed a segmentation fault
    Revision:
      ccze--0.1--patch-133

    * src/ccze.c (main): In the main loop if subject did not had a trailing
      newline, do not try to replace it with a \0.

    modified files:
     ChangeLog src/ccze.c


2003-01-19 14:39:11 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-132

    Summary:
      FreeBSD compatibility
    Revision:
      ccze--0.1--patch-132

    * src/ccze-compat.h: #include <sys/types.h>.
    * src/ccze-plugin.c: Likewise.
    * src/ccze-syslog.c: #include "ccze-compat.h"
    * src/ccze-ulogd.c: Likewise.
    * src/ccze-compat.c (getline): Fixed, so it does not segfault anymore.

    modified files:
     ChangeLog src/ccze-compat.c src/ccze-compat.h
     src/ccze-plugin.c src/ccze-syslog.c src/ccze-ulogd.c


2003-01-19 13:27:22 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-131

    Summary:
      CC check reworded
    Revision:
      ccze--0.1--patch-131

    * configure.ac: Reworded the C compiler check, look for `cc' first,
      instead of `gcc'.

    modified files:
     ChangeLog configure.ac


2003-01-19 02:31:25 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-130

    Summary:
      Support changing colors on the command-line
    Revision:
      ccze--0.1--patch-130

    * src/ccze-color.h (ccze_color_parse): New prototype.
    * src/ccze-color.c (ccze_color_parse): New function, broken out of
      ccze_color_load's main loop.
      (ccze_color_load): Use it.
    * src/ccze.c (ccze_config): New members: color_argv, color_argv_alloc
      and color_argv_len.
      (options): Added --color.
      (empty_subopts): New global variable.
      (parse_opt): Handle --color.
      (main): Cycle through ccze_config.color_argv after loading the
      configuration files, passing each element to ccze_color_parse().
    * TODO: Removed relevant entry.
    * THANKS: Added Matyas Koszik.
    * doc/ccze.1.in (OPTIONS): Documented the new --color option.

    modified files:
     ChangeLog THANKS TODO doc/ccze.1.in src/ccze-color.c
     src/ccze-color.h src/ccze.c


2003-01-19 01:46:21 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-129

    Summary:
      TODO Updates
    Revision:
      ccze--0.1--patch-129

    * TODO: Added a new entry.

    modified files:
     ChangeLog TODO


2003-01-19 01:41:03 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-128

    Summary:
      Added ICC support to the build system
    Revision:
      ccze--0.1--patch-128

    * Rules.mk.in (INCLUDES): Moved to src/Makefile.in.
      (DEFINES): Likewise.
      (WFLAGS): Likewise.
      (WFLAGS_3X): Likewise.
      (ALL_CFLAGS): Likewise.
      (LIBS): Likewise.
    * src/Makefile.in (WFLAGS): Made it a substvar, but moved the former
      contents to...
      (WFLAGS_GCC): ...here.
      (WFLAGS_ICC): New variable.
    * configure.ac: Enhanced the compiler version check. (Lifted from thy
      0.4.34)

    modified files:
     ChangeLog Rules.mk.in configure.ac src/Makefile.in


2003-01-19 01:29:54 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-127

    Summary:
      Minor fixes & cleanups
    Revision:
      ccze--0.1--patch-127

    * src/ccze.h (ccze_addstr): Takes a ccze_color_t, not an int.
      (ccze_http_action): Returns ccze_color_t, not an int.
    * src/ccze.c (ccze_config): Made this static.
      [!HAVE_ARGP_PARSE] (argp_program_name): Only define in this case.
      (ccze_http_action): Changed to match the fixed prototype.
      (ccze_addstr): Likewise.
    * src/ccze-color.h (ccze_color_to_css): Take a ccze_color_t, not an
      int.
    * src/ccze-color.c (ccze_color_to_css): Changed to match the fixed
      prototype. Also fixed the asprintf() call, so ICC won't emit a
      warning anymore.
      (ccze_color_table): Increased its size.
      (ccze_color_to_name_css): Take an int and a ccze_color_t, not two
    * src/ccze-wordcolor.c (ccze_wordcolor_process_one): Changed the type
      of `col' from int to ccze_color_t.
    * src/ccze-apm.c (ccze_apm_setup): Unescape `%'.
    * src/ccze-httpd.c (_ccze_httpd_error): Return ccze_color_t.
      (ccze_httpd_error_log_process): Changed the type of `lcol' from int
      to ccze_color_t.
    * src/ccze-procmail.c (ccze_procmail_process): Changed the type of
      `col' to ccze_color_t.
    * src/ccze-squid.c (_ccze_proxy_action): Return ccze_color_t.
      (_ccze_proxy_hierarch): Likewise.
      (_ccze_proxy_tag): Likewise.
    * src/ccze-dump.c: Fixed all the various ICC warnings.

    modified files:
     ChangeLog src/ccze-apm.c src/ccze-color.c src/ccze-color.h
     src/ccze-dump.c src/ccze-httpd.c src/ccze-procmail.c
     src/ccze-squid.c src/ccze-wordcolor.c src/ccze.c src/ccze.h


2003-01-19 00:28:56 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-126

    Summary:
      Support for changing the HTML body background
    Revision:
      ccze--0.1--patch-126

    * src/ccze-color.h (ccze_cssbody_color): New prototype.
    * src/ccze-color.c (ccze_cssbody): New global variable.
      (ccze_color_load): Support "cssbody".
      (ccze_cssbody_color): New function.
    * src/ccze.c (main): Use ccze_cssbody_color().
    * src/ccze-cssdump.c (main): Dump cssbody too.

    modified files:
     ChangeLog src/ccze-color.c src/ccze-color.h src/ccze-dump.c
     src/ccze.c


2003-01-19 00:17:29 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-125

    Summary:
      strdup()ing command-line options
    Revision:
      ccze--0.1--patch-125

    * src/ccze.c (parse_opt): strdup() the command-line arguments.

    modified files:
     ChangeLog src/ccze.c


2003-01-16 21:58:59 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-124

    Summary:
      Portability, #2
    Revision:
      ccze--0.1--patch-124

    * configure.ac (AC_CHECK_TYPE): Check for error_t, and fall back to
      `int'.
      (AC_CHECK_HEADERS): Added getopt.h.
    * src/ccze-compat.c [HAVE_GETOPT_H]: #include getopt.h.

    modified files:
     ChangeLog configure.ac src/ccze-compat.c


2003-01-13 20:09:40 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-123

    Summary:
      Portability
    Revision:
      ccze--0.1--patch-123

    * src/ccze-compat.h: New file.
    * src/ccze-compat.c: Likewise.
    * configure.ac: A set of new checks.
    * src/ccze-color.c: #include "ccze-compat.h"
    * src/ccze-cssdump.c: Likewise.
    * src/ccze-dump.c: Likewise.
    * src/ccze.c: Likewise.
    * src/Makefile.in: Adjust accordingly.

    new files:
     src/.arch-ids/ccze-compat.h.id src/.arch-ids/ccze-compat.c.id
     src/ccze-compat.h src/ccze-compat.c

    modified files:
     ChangeLog configure.ac src/Makefile.in src/ccze-color.c
     src/ccze-cssdump.c src/ccze-dump.c src/ccze.c


2003-01-13 16:14:02 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-122

    Summary:
      The `Wild in The Woods' release.
    Revision:
      ccze--0.1--patch-122

      Wild in The Woods of Love
      We harm those whom we adore
      Contrary to other intentions
      We suffocate them in an alarming embrace
    
    * NEWS: Updated.
    * debian/changelog: Likewise.

    modified files:
     ChangeLog NEWS debian/changelog


2003-01-13 16:11:30 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-121

    Summary:
      Fix an unitialised variable warning.
    Revision:
      ccze--0.1--patch-121

    * src/ccze-color.c (ccze_color_load): Initialise ncolor and nkeyword to
      zero.

    modified files:
     ChangeLog src/ccze-color.c


2003-01-13 15:33:04 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-120

    Summary:
      Install ccze-cssdump
    Revision:
      ccze--0.1--patch-120

    * src/Makefile.in (install): Install ccze-cssdump.
      (uninstall): Unintall it.
    * doc/ccze-cssdump.1.in: New file.
    * doc/Makefile.in (MANS): Added ccze-cssdump.1.
      (EXTRA_DIST): Added ccze-cssdump.1.in.
      (install): Install ccze-cssdump.1.
      (uninstall): Uninstall it.
    * ccze.spec.in: Handle the above changes.
    * debian/rules: Likewise.
    
    While there, also corrected a few typos and errors in the other manual
    pages.

    new files:
     doc/.arch-ids/ccze-cssdump.1.in.id doc/ccze-cssdump.1.in

    modified files:
     ChangeLog ccze.spec.in debian/rules doc/Makefile.in
     doc/ccze-plugin.7.in src/Makefile.in


2003-01-13 14:43:26 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-119

    Summary:
      TODO cleanup
    Revision:
      ccze--0.1--patch-119

    * TODO: Removed HTML output entries, all done.

    modified files:
     ChangeLog TODO


2003-01-13 14:29:58 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-118

    Summary:
      Customisable CSS codes
    Revision:
      ccze--0.1--patch-118

    * src/ccze-color.c (ccze_csscolor_normal_map): New array.
      (ccze_csscolor_bold_map): Likewise.
      (ccze_color_to_name_css): Use these new maps.
      (ccze_color_load): Added ability to put "css" tags into different
      maps.
    * src/ccze-dump.c (main): Added code to dump the css maps too.

    modified files:
     ChangeLog src/ccze-color.c src/ccze-dump.c


2003-01-13 13:36:27 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-117

    Summary:
      Yet more cleanup
    Revision:
      ccze--0.1--patch-117

    * src/ccze-color.c: Use a cleaner typedef-style.

    modified files:
     ChangeLog src/ccze-color.c


2003-01-13 13:01:23 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-116

    Summary:
      Code cleanup
    Revision:
      ccze--0.1--patch-116

    * src/ccze.h (CCZE_ADDSTR): Removed compatibility macro.
      (CCZE_NEWLINE): Likewise.
    
    Updated all sources to use ccze_addstr() and ccze_newline().
    
    * Rules.mk.in (.c.o): Moved to src/Makefile.in.
      (%.so): Likewise.
      (.SUFFIXES): Added .so.
    * src/Makefile.in (%.o): Moved here from Rules.mk.in.
      (%.so): Likewise.
      (ulogd.so): Removed.
      (ccze-ulogd.o): Likewise.

    modified files:
     ChangeLog Rules.mk.in src/Makefile.in src/ccze-apm.c
     src/ccze-exim.c src/ccze-fetchmail.c src/ccze-httpd.c
     src/ccze-procmail.c src/ccze-squid.c src/ccze-sulog.c
     src/ccze-super.c src/ccze-syslog.c src/ccze-ulogd.c
     src/ccze-vsftpd.c src/ccze-wordcolor.c src/ccze.c src/ccze.h


2003-01-13 12:31:35 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-115

    Summary:
      Documentation updates
    Revision:
      ccze--0.1--patch-115

    * doc/ccze.1.in: Documented -o cssfile.
    * doc/ccze-plugin.7.in: Use ccze_addstr().

    modified files:
     ChangeLog doc/ccze-plugin.7.in doc/ccze.1.in


2003-01-13 12:23:41 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-114

    Summary:
      Added War_New to THANKS
    Revision:
      ccze--0.1--patch-114

    * THANKS: Added War_New.

    modified files:
     ChangeLog THANKS


2003-01-12 19:29:48 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-113

    Summary:
      Support CSS in an external file
    Revision:
      ccze--0.1--patch-113

    * src/ccze.c (ccze_config): Added a `cssfile' member.
      (parse_opt): Support -o cssfile=.
      (main): If ccze_config.cssfile is NULL, do as usual, if not, include a
      <link> reference in the HTML header.

    modified files:
     ChangeLog src/ccze.c


2003-01-12 17:45:50 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-112

    Summary:
      Command-line args support for ccze-dump and -cssdump
    Revision:
      ccze--0.1--patch-112

    * src/ccze-dump.c: Added command-line argument support.
    * src/ccze-cssdump.c: Likewise.

    modified files:
     ChangeLog src/ccze-cssdump.c src/ccze-dump.c


2003-01-12 17:27:57 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-111

    Summary:
      Working in-line CSS in HTML output
    Revision:
      ccze--0.1--patch-111

    * src/ccze-color.c (ccze_color_to_name_css): Moved here from
      src/ccze.c.
      (ccze_color_to_css): Use ccze_color_to_name_css(), and a `.ccze_'
      prefix for css classes.
    * src/ccze.c (ccze_color_to_name_html): Moved to src/ccze-color.c.
      (ccze_addstr): HTML output part rewritten.
      (ccze_color_to_html): Unused function, removed.
      (main): Move the CSS output stuff after loading the configuration.

    modified files:
     ChangeLog src/ccze-color.c src/ccze.c


2003-01-12 17:02:41 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-110

    Summary:
      Preparing CSS-in-HTML
    Revision:
      ccze--0.1--patch-110

    * src/ccze-color.h (ccze_color_to_css): New prototype.
      (ccze_colors_to_css): Likewise.
    * src/ccze-color.c (ccze_color_to_css): Moved here from
      src/ccze-cssdump.c::ccze_dump_color_to_css().
      (ccze_colors_to_css): New function.
    * src/ccze-cssdump.c: Use them.

    modified files:
     ChangeLog src/ccze-color.c src/ccze-color.h src/ccze-cssdump.c


2003-01-12 16:44:48 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-109

    Summary:
      ccze-cssdump
    Revision:
      ccze--0.1--patch-109

    * src/ccze-color.h (ccze_color_lookup_name): New prototype.
    * src/ccze-color.c (ccze_color_lookup_name): New function, moved here
      from src/ccze-dump.c::ccze_dump_lookup_name().
    * src/ccze-dump.c (ccze_dump_lookup_name): Moved to src/ccze-color.c.
      (main): Use the new name.
    * src/ccze-cssdump.c: New file.
    * src/Makefile.in (SOURCES): Added ccze-cssdump.c.
      (CLEANFILES): Added ccze-cssdump.
      (all): Likewise.
      (ccze-dump, ccze-cssdump): Merged the two and generalised them.

    new files:
     src/.arch-ids/ccze-cssdump.c.id src/ccze-cssdump.c

    modified files:
     ChangeLog src/Makefile.in src/ccze-color.c src/ccze-color.h
     src/ccze-dump.c


2003-01-11 02:56:45 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-108

    Summary:
      The `Devorzhum' release.
    Revision:
      ccze--0.1--patch-108

    * NEWS: Updated.
    * debian/changelog: Likewise.
    * debian/copyright: Refer to .../stable/.
    * debian/control (Standards-Version): Bumped to 3.5.8.
    * TODO: Extended the HTML output entry.

    modified files:
     ChangeLog NEWS TODO debian/changelog debian/control
     debian/copyright


2003-01-09 22:53:40 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-107

    Summary:
      HTML output
    Revision:
      ccze--0.1--patch-107

    * src/ccze.c (parse_opt): Handle 'h'.
      (ccze_newline): Updated to work when ccze_config.html is true.
      (ccze_space): Likewise.
      (ccze_addstr): Likewise.
      (sigint_handler): Likewise.
      (main): Likewise.
      (ccze_color_to_name_html): New function.
      (ccze_color_to_html): Likewise.
    * doc/ccze.1.in: Documented --html.

    modified files:
     ChangeLog doc/ccze.1.in src/ccze-color.c src/ccze-color.h
     src/ccze-dump.c src/ccze.c src/ccze.h


2003-01-09 20:36:21 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-106

    Summary:
      Preparing HTML output...
    Revision:
      ccze--0.1--patch-106

    * src/ccze.h (ccze_addstr): New prototype.
      (ccze_newline): Likewise.
      (ccze_space): Likewise.
      (CCZE_ADDSTR): Make it an alias of ccze_addstr.
      (CCZE_NEWLINE): Make it an alias of ccze_newline.
    * src/ccze.c (ccze_config): Added a `html' member, and switched to
      using C99-style initialisers.
      (options): Added `html' (not handled yet).
      (ccze_newline): New function.
      (ccze_addstr): Likewise.
      (ccze_space): Likewise.
      (main): Remove most of hte ccze_config initialisation code.
    * src/ccze-color.h (ccze_color_strip_attrib): New prototype.
      (ccze_color_to_name_simple): New prototype.
    * src/ccze-color.c (ccze_color_strip_attrib): New function, from
      src/ccze-dump.c.
      (ccze_color_to_name_simple): Likewise.
    * src/ccze-dump.c (ccze_dump_color_strip_attrib): Moved to
      src/ccze-color.c.
      (ccze_dump_color_to_name_simple): Likewise.
      (ccze_dump_color_to_name): Simpified.

    modified files:
     ChangeLog src/ccze-color.c src/ccze-color.h src/ccze-dump.c
     src/ccze.c src/ccze.h


2003-01-09 19:37:05 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-105

    Summary:
      Use make's ifneq stuff
    Revision:
      ccze--0.1--patch-105

    * src/Makefile.in (install): Use make's ifneq stuff instead of shell
      trickery.
      (uninstall): Likewise.

    modified files:
     ChangeLog src/Makefile.in


2002-12-02 20:17:43 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-104

    Summary:
      Fixed all-static installation, once again
    Revision:
      ccze--0.1--patch-104

    * src/Makefile.in (install): Give up and use shell.
      (uninstall): Likewise.

    modified files:
     ChangeLog src/Makefile.in


2002-12-02 19:48:38 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-103

    Summary:
      The `For My Fallen Angel' release.
    Revision:
      ccze--0.1--patch-103

      "Loves golden arrow
      At her should have fled,
      And not Deaths ebon dart
      To strike her dead."
    
    * NEWS: Updated.
    * debian/changelog: Likewise.

    modified files:
     ChangeLog NEWS debian/changelog


2002-12-02 14:53:01 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-102

    Summary:
      Fetchmail log colorisation
    Revision:
      ccze--0.1--patch-102

    * src/ccze-fetchmail.c: New file.
    * configure.ac (ALL_PLUGINS): Added fetchmail.
    * doc/ccze.1.in (PLUGINS): Documented it.

    new files:
     src/.arch-ids/ccze-fetchmail.c.id src/ccze-fetchmail.c

    modified files:
     ChangeLog configure.ac doc/ccze.1.in


2002-11-29 22:48:20 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-101

    Summary:
      Fixed a stupid but in src/Makefile.in
    Revision:
      ccze--0.1--patch-101

    * src/Makefile.in (install): It is `ifdef PLUGIN_SHOBJS', not `ifdef
      ${PLUGIN_SHOBJS}'. This fixes the install problems reported by a few
      people. Thanks to ciga for helping me track this down.
      (uninstall): Likewise.
    * THANKS: Added `ciga' and IRC nicks for the others.

    modified files:
     ChangeLog THANKS src/Makefile.in


2002-11-21 17:29:43 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-100

    Summary:
      Fixed built-in module support
    Revision:
      ccze--0.1--patch-100

    * src/ccze-plugins.c (ccze_plugin_shutdown): Do not dlclose() ->dlhandle
      if it is NULL.
    * src/Makefile.in (ccze-builtins.c): _info are `ccze_plugin_t', not
      pointers to such a struct.

    modified files:
     ChangeLog src/Makefile.in src/ccze-plugin.c


2002-11-21 16:55:42 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-99

    Summary:
      Fixed src/Makefile.in::uninstall
    Revision:
      ccze--0.1--patch-99

    * src/Makefile.in: It is `ifdef', not `ifeq'.

    modified files:
     ChangeLog src/Makefile.in


2002-11-20 14:56:59 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-98

    Summary:
      Fixed all-static installation
    Revision:
      ccze--0.1--patch-98

    * src/Makefile.in (install): Only install plugins if there are any.
      (uninstall): Only uninstall plugins if there are any.

    modified files:
     ChangeLog src/Makefile.in


2002-11-20 14:39:41 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-97

    Summary:
      <pcre.h> Vs. <pcre/pcre.h>
    Revision:
      ccze--0.1--patch-97

    * configure.ac: Check whether we need pcre.h or pcre/pcre.h.
    * src/ccze.h (PCRE_H): New define. Use it all over the place instead
      of hardcoding <pcre.h>.
    * ccze.spec.in (%build): The -I/usr/include/pcre flag is not needed
      anymore.

    modified files:
     ChangeLog ccze.spec.in configure.ac src/ccze-apm.c
     src/ccze-exim.c src/ccze-httpd.c src/ccze-procmail.c
     src/ccze-squid.c src/ccze-sulog.c src/ccze-super.c
     src/ccze-syslog.c src/ccze-ulogd.c src/ccze-vsftpd.c
     src/ccze-wordcolor.c src/ccze.h


2002-11-20 14:21:32 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-96

    Summary:
      Fixed make dist
    Revision:
      ccze--0.1--patch-96

    * src/Makefile.in (SOURCES): Use ${ALL_PLUGINS} instead of ${PLUGINS}.

    modified files:
     ChangeLog src/Makefile.in


2002-11-20 14:07:07 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-95

    Summary:
      Added support for built-in plugins
    Revision:
      ccze--0.1--patch-95

    * src/ccze-plugin.h (ccze_plugin_add): New prototype.
      (ccze_plugin_load_all_builtins): Likewise.
    * src/ccze-plugin.c (_ccze_plugin_add): Exported, and renamed to...
      (ccze_plugin_add): ...this.
      (ccze_plugin_shutdown): Check if plugins[i] is NULL before
      dereferencing it.
    * src/ccze-wordcolor.c (ccze_wordcolor_process): Bail out early if
      `msg' is NULL.
    * src/ccze.c (main): Call ccze_plugin_load_all_builtins() before
      _finalise().
    * src/Makefile.in (ALL_PLUGINS): New substvar.
      (S_PLUGINS): Likewise.
      (SH_PLUGINS): New variable.
      (PLUGIN_SHOBJS): Likewise.
      (PLUGIN_SOBJS): Likewise.
      (PLUGIN_OBJS): This should be the aggregate of _SHOBJS and _SOBJS.
      (CLEANFILES): Only clean `ccze-dump', the rest is taken care of by
      Rules.mk.in.
      (DISTCLEANFILES): Added ccze-builtins.c.
      (OBJECTS): Added ccze-builtins.o.
      (all): Depend on ${PLUGIN_SHOBJS}, not on ${PLUGIN_OBJS}.
      (install): Only install plugins if there are any, and in that case,
      ${PLUGIN_SHOBJS} only.
      (${PROGRAM}): Depend on ${PLUGIN_SOBJS}.
      (ccze-builtin.c): New rule.
      (ccze-ulogd.o): Likewise.
    * Makefile.in: Eradicate all traces of etc/.
    * Rules.mk.in (clean): Remove *.o, *.so and *.da automatically.
    * configure.ac: Support --with-builtins.
      (AC_OUTPUT): Removed etc/Makefile.
    * ccze.spec.in: Use src/ccze-dump and --with-builtins=all.
    * debian/rules: Likewise.
    * TODO: Remove relevant entry.
    * doc/ccze.1.in (PLUGINS): Remove .so suffix.
    * etc/Makefile.in: Removed.
    * etc/cczerc: Likewise.
    * etc/: Likewise.

    removed files:
     etc/.arch-ids/=id etc/.arch-ids/Makefile.in.id
     etc/.arch-ids/cczerc.id etc/Makefile.in etc/cczerc

    modified files:
     ChangeLog Makefile.in Rules.mk.in TODO ccze.spec.in
     configure.ac debian/rules doc/ccze.1.in src/Makefile.in
     src/ccze-plugin.c src/ccze-plugin.h src/ccze-wordcolor.c
     src/ccze.c

    removed directories:
     etc/.arch-ids etc


2002-11-19 22:44:20 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-94

    Summary:
      ccze-dump
    Revision:
      ccze--0.1--patch-94

    * src/ccze-dump.c: New file.
    * src/Makefile.in (SOURCES): Added ccze-dump.c.
      (CLEANFILES): Added ccze-dump.
      (all): Likewise.
      (ccze-dump): New target.
    * src/ccze-color.c (CCZE_KEYWORD): New macro.
      (ccze_color_keyword_map): Use it all over the place.

    new files:
     src/.arch-ids/ccze-dump.c.id src/ccze-dump.c

    modified files:
     ChangeLog src/Makefile.in src/ccze-color.c


2002-11-19 20:53:04 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-93

    Summary:
      Added color keyword comments
    Revision:
      ccze--0.1--patch-93

    * src/ccze-color.c (ccze_color_keyword_t): Added a `comment' member.
      (ccze_color_keyword_map): Added comments for all the keywords.

    modified files:
     ChangeLog src/ccze-color.c


2002-11-19 19:00:19 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-92

    Summary:
      Documented plugin architecture
    Revision:
      ccze--0.1--patch-92

    * doc/ccze-plugin.7.in: New file.
    * doc/Makefile.in: Added support for building multiple manual pages.
      (EXTRA_DIST): Added ccze-plugin.7.in.
    * Rules.mk.in (man7dir): New variable.
    * TODO: Removed relevant entry.
    * debian/rules: Compress ccze-plugin.7 too.

    new files:
     doc/.arch-ids/ccze-plugin.7.in.id doc/ccze-plugin.7.in

    modified files:
     ChangeLog Rules.mk.in TODO debian/rules doc/Makefile.in


2002-11-19 17:44:12 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-91

    Summary:
      The `Like Gods of the Sun' release.
    Revision:
      ccze--0.1--patch-91

      We burn like gods of the sun
      Paradise pales compared to you
    
    * NEWS: Updated.
    * debian/changelog: Likewise.

    modified files:
     ChangeLog NEWS debian/changelog


2002-11-19 17:32:25 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-90

    Summary:
      ccze.spec.in
    Revision:
      ccze--0.1--patch-90

    * ccze.spec.in: New file, based on the work of Andreas Brenk.
    * Makefile.in: Added support for generating ccze.spec.
      (dist): Depend on ccze.spec.

    new files:
     .arch-ids/ccze.spec.in.id ccze.spec.in

    modified files:
     ChangeLog Makefile.in


2002-11-19 17:06:25 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-89

    Summary:
      AC_FUNC_REALLOC
    Revision:
      ccze--0.1--patch-89

    * configure.ac: Added AC_FUNC_REALLOC, thanks to autoscan.

    modified files:
     ChangeLog configure.ac


2002-11-18 22:17:47 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-88

    Summary:
      APM log colorisation
    Revision:
      ccze--0.1--patch-88

    * src/ccze-apm.c: New file.
    * src/Makefile.in (PLUGINS): Added apm.
    * doc/ccze.1.in (PLUGINS): Document it.
    * src/ccze-wordcolor.c (words_bad): Added `empty'.
      (words_system): Added `discharging' and `resume'.
    * src/ccze-color.h (ccze_color_t): Added CCZE_COLOR_PERCENTAGE.
    * src/ccze-color.c: Added support code for it.
    * src/ccze.c (main): Support word colorisation of partial plugin
      output.
    * THANKS: Added Janos Lorincz.

    new files:
     src/.arch-ids/ccze-apm.c.id src/ccze-apm.c

    modified files:
     ChangeLog THANKS doc/ccze.1.in src/Makefile.in
     src/ccze-color.c src/ccze-color.h src/ccze-wordcolor.c
     src/ccze.c


2002-11-18 21:41:38 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-87

    Summary:
      Implemented partial coloriser plugin support
    Revision:
      ccze--0.1--patch-87

    * src/ccze-plugin.h (ccze_plugin_run): New prototype.
    * src/ccze-plugin.c (ccze_plugin_run): New function.
    * src/ccze.c (main): Use it, and if there are pending stuff after all
      full plugins were run, filter the rest of the input through the
      partial ones, and only then through wordcolor.
    * src/ccze-ulogd.c: Converted to a partial plugin. Yay!

    modified files:
     ChangeLog src/ccze-plugin.c src/ccze-plugin.h src/ccze-ulogd.c
     src/ccze.c


2002-11-18 21:12:38 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-86

    Summary:
      Plugin support revamped once again
    Revision:
      ccze--0.1--patch-86

    * src/ccze-plugin.h (CCZE_DEFINE_PLUGIN): New macro.
      (ccze_plugin_startup_t): It is void, not void *.
      (ccze_plugin_shutdown_t): Likewise.
      (ccze_plugin_type_t): New enum.
      (ccze_plugin_t): Added a `type' member.
    * src/ccze-plugin.c (_ccze_plugin_load): dlsym the newly introduced
      ccze_foo_info symbol, and nothing else.
      (ccze_plugin_shutdown): Since ccze_plugin_t is dlsym()ed now, we
      must not free nor ->name, or the struct itself.
    * Rules.mk.in (%.so): Depend on ccze-plugin.h too.
    * src/Makefile.in (ulogd.so): Likewise.
      
    All users and modules updated accordingly.

    modified files:
     ChangeLog Rules.mk.in src/Makefile.in src/ccze-exim.c
     src/ccze-httpd.c src/ccze-plugin.c src/ccze-plugin.h
     src/ccze-procmail.c src/ccze-squid.c src/ccze-sulog.c
     src/ccze-super.c src/ccze-syslog.c src/ccze-ulogd.c
     src/ccze-vsftpd.c


2002-11-18 18:24:29 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-85

    Summary:
      Documented the ulogd plugin
    Revision:
      ccze--0.1--patch-85

    * doc/ccze.1.in (PLUGINS): Documented the ulogd plugin.

    modified files:
     ChangeLog doc/ccze.1.in


2002-11-18 18:20:16 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-84

    Summary:
      ulogd colorisation
    Revision:
      ccze--0.1--patch-84

    * src/ccze-ulogd.c: New file.
    * src/Makefile.in (PLUGINS): Added ulogd.
      (ulogd.so): Special case, as it depends on ccze-wordcolor.h too.
    * THANKS: Added DC-1.

    new files:
     src/.arch-ids/ccze-ulogd.c.id src/ccze-ulogd.c

    modified files:
     ChangeLog THANKS src/Makefile.in


2002-11-18 18:16:01 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-83

    Summary:
      Some stuff reorganised
    Revision:
      ccze--0.1--patch-83

    * src/ccze-wordcolor.h (ccze_wordcolor_process_one): New prototype.
    * src/ccze-wordcolor.c (ccze_wordcolor_process_one): New function.
      (ccze_wordcolor_process): Use it.
      (xstrdup): Moved to src/ccze.c.
      (_my_strbrk): Likewise.
    * src/ccze.h (xstrdup): New prototype.
      (ccze_strbrk): Likewise.
    * src/ccze.c (xstrdup): Moved here from src/ccze-wordcolor.c.
      (ccze_strbrk): Likewise.
    * src/ccze-color.h (ccze_color_t): Added _FIELD and _CHAIN.
    * src/ccze-color.c: Added support code for them.

    modified files:
     ChangeLog src/ccze-color.c src/ccze-color.h
     src/ccze-wordcolor.c src/ccze-wordcolor.h src/ccze.c
     src/ccze.h


2002-11-04 20:01:50 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-82

    Summary:
      Link shared objects to ncurses and pcre
    Revision:
      ccze--0.1--patch-82

    * Rules.mk.in (%.so): Add ${ALL_LDFLAGS} to the command-line.
    * THANKS: Added Ferenc Kalcso.

    modified files:
     ChangeLog Rules.mk.in THANKS


2002-10-13 12:56:24 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-81

    Summary:
      #include <curses.h>
    Revision:
      ccze--0.1--patch-81

    * src/ccze.h: #include <curses.h>.

    modified files:
     ChangeLog src/ccze.h


2002-10-12 21:35:55 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-80

    Summary:
      The `Stance of Evander Sinque' release.
    Revision:
      ccze--0.1--patch-80

      He lays forgotten
      Dead skin and broken neck
      And no-one knew him
      Though he was genius
    
    * NEWS: Updated.
    * debian/changelog: Likewise.

    modified files:
     ChangeLog NEWS debian/changelog


2002-10-12 21:29:57 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-79

    Summary:
      Various updates under debian/
    Revision:
      ccze--0.1--patch-79

    * debian/rules (install): We need root privileges for this target.
    * debian/copyright: Changed my e-mail address, and replaced the
      standard GPL header with one tuned for CCZE.
    * debian/control (Maintainer): Changed my e-mail address.

    modified files:
     ChangeLog debian/control debian/copyright debian/rules


2002-10-12 21:20:36 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-78

    Summary:
      Getting rid of strndupa()
    Revision:
      ccze--0.1--patch-78

    * src/ccze-color.c (_ccze_colorname_map_lookup): Get rid of
      strndupa().

    modified files:
     ChangeLog src/ccze-color.c


2002-10-12 21:16:26 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-77

    Summary:
      AC_FUNC_STAT
    Revision:
      ccze--0.1--patch-77

    * configure.ac: Added AC_FUNC_STAT, noticed by autoscan.

    modified files:
     ChangeLog configure.ac


2002-10-12 21:11:46 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-76

    Summary:
      TODO updates
    Revision:
      ccze--0.1--patch-76

    * TODO: Added two new entries.

    modified files:
     ChangeLog TODO


2002-10-12 20:56:01 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-75

    Summary:
      Automatically generate the manual page
    Revision:
      ccze--0.1--patch-75

    * doc/ccze.1: Renamed to...
    * doc/ccze.1.in: ...this, and replaced all configurable paths with an
      appropriate magic word.
    * doc/Makefile.in (DISTCLEANFILES): Added ${MAN}.
      (EXTRA_DIST): Added ${MAN}.in.
      (all): Depend on ${MAN}.
      (${MAN}): New target.
    * Rules.mk.in (DISTFILES): Removed ${MAN}.

    modified files:
     ChangeLog Rules.mk.in doc/Makefile.in doc/ccze.1.in

    renamed files:
     doc/.arch-ids/ccze.1.id
       ==> doc/.arch-ids/ccze.1.in.id
     doc/ccze.1
       ==> doc/ccze.1.in



2002-10-12 20:46:14 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-74

    Summary:
      "last message..." and "-- MARK --" coloring
    Revision:
      ccze--0.1--patch-74

    * src/ccze-color.h (ccze_color_t): Added CCZE_COLOR_REPEAT.
    * src/ccze-color.c (ccze_color_keyword_map): Added `repeat'.
      (ccze_color_init): Initialise CCZE_COLOR_REPEAT to white.
    * src/ccze-wordcolor.c (ccze_wordcolor_process): Color "last message
      ..." and "-- MARK --" messages with CCZE_COLOR_REPEAT.

    modified files:
     ChangeLog src/ccze-color.c src/ccze-color.h
     src/ccze-wordcolor.c


2002-10-12 20:28:22 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-73

    Summary:
      Exit if no plugins were found
    Revision:
      ccze--0.1--patch-73

    * src/ccze.c (main): Exit if no plugins could be loaded.
    
    Thanks to Istvan Karaszi for the idea.

    modified files:
     ChangeLog src/ccze.c


2002-10-04 10:35:42 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-72

    Summary:
      The `Base Level Erotica' release.
    Revision:
      ccze--0.1--patch-72

      What do you see
      What do you see when eyes are closed
      What do you feel
      What do you feel when she's below
      What do you want
      What do you want her to be. A star
      What do you see
      What do you see when eyes flick open
    
    * NEWS: Updated.
    * debian/changelog: Likewise.

    modified files:
     ChangeLog NEWS debian/changelog


2002-10-04 10:17:41 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-71

    Summary:
      Exported function should not be static.
    Revision:
      ccze--0.1--patch-71

    Modules were broken since 0.1.64, where I declared all the functions in
    them `static'. However, _setup, _shutdown and _handle should be
    exported, therefore they must NOT be static. This is now fixed.

    modified files:
     ChangeLog src/ccze-exim.c src/ccze-httpd.c src/ccze-procmail.c
     src/ccze-squid.c src/ccze-sulog.c src/ccze-super.c
     src/ccze-syslog.c src/ccze-vsftpd.c


2002-10-03 13:43:28 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-70

    Summary:
      The `Edenbeast' release
    Revision:
      ccze--0.1--patch-70

      All are welcome here
      To the Eden Feast
      Enter if you will
      This is Edenbeast
    
    * debian/maint/conffiles: Removed.
    * debian/rules: Support DEB_BUILD_OPTIONS=noopt, and generate
      DEBIAN/conffiles.
    * NEWS: Added release notes.
    * debian/changelog: Likewise.

    removed files:
     debian/maint/.arch-ids/=id debian/maint/.arch-ids/conffiles.id
     debian/maint/conffiles

    modified files:
     ChangeLog NEWS debian/changelog debian/rules

    removed directories:
     debian/maint/.arch-ids debian/maint


2002-10-01 12:25:53 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-69

    Summary:
      Removed --scroll
    Revision:
      ccze--0.1--patch-69

    * src/ccze.c (options): Removed --scroll, as it is unused.

    modified files:
     ChangeLog src/ccze.c


2002-10-01 12:23:42 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-68

    Summary:
      Documentation updates
    Revision:
      ccze--0.1--patch-68

    * README: Mention that CCZE is a drop-in replacement for colorize.
    * doc/ccze.1: Almost completely rewritten to be up-to-date.
    * TODO: Removed relevant entries.

    modified files:
     ChangeLog README TODO doc/ccze.1


2002-09-29 17:30:57 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-67

    Summary:
      --remove-facility
    Revision:
      ccze--0.1--patch-67

    * src/ccze.c: Implemented --remove-facility a'la colorize.

    modified files:
     ChangeLog src/ccze.c


2002-09-29 17:18:21 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-66

    Summary:
      Folded a set of options into --options
    Revision:
      ccze--0.1--patch-66

    * src/ccze.c: Folded --no-* and --scroll into --options
      [no]{scroll,wordcolor,lookups}.

    modified files:
     ChangeLog src/ccze.c


2002-09-28 20:47:58 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-65

    Summary:
      -Wunused-function
    Revision:
      ccze--0.1--patch-65

    * Rules.mk.in (WFLAGS_3X): Added -Wunused and Wno-unused-function.

    modified files:
     ChangeLog Rules.mk.in


2002-09-28 20:27:50 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-64

    Summary:
      A big header cleanup
    Revision:
      ccze--0.1--patch-64

    * src/ccze-exim.h: Removed.
    * src/ccze-httpd.h: Likewise.
    * src/ccze-procmail.h: Likewise.
    * src/ccze-squid.h: Likewise.
    * src/ccze-sulog.h: Likewise.
    * src/ccze-super.h: Likewise.
    * src/ccze-syslog.h: Likewise.
    * src/ccze-vsftpd.h: Likewise.
    * src/ccze-exim.c: Adjust to the removal of module headers.
    * src/ccze-httpd.c: Likewise.
    * src/ccze-procmail.c: Likewise.
    * src/ccze-squid.c: Likewise.
    * src/ccze-sulog.c: Likewise.
    * src/ccze-super.c: Likewise.
    * src/ccze-syslog.c: Likewise.
    * src/ccze-vsftpd.c: Likewise.
    * src/Makefile.in (HEADERS): Remove plugin headers.
      (ccze-*.so): Removed.
    * Rules.mk.in (%.so): Do not depend on ccze-%.h.
      (.SUFFIXES): First empty it, then set it to ".c .o".
      (WFLAGS): Remove -Wunused.

    removed files:
     src/.arch-ids/ccze-sulog.h.id src/.arch-ids/ccze-super.h.id
     src/.arch-ids/ccze-exim.h.id src/.arch-ids/ccze-httpd.h.id
     src/.arch-ids/ccze-procmail.h.id src/.arch-ids/ccze-squid.h.id
     src/.arch-ids/ccze-syslog.h.id src/.arch-ids/ccze-vsftpd.h.id
     src/ccze-sulog.h src/ccze-super.h src/ccze-exim.h
     src/ccze-httpd.h src/ccze-procmail.h src/ccze-squid.h
     src/ccze-syslog.h src/ccze-vsftpd.h

    modified files:
     ChangeLog Rules.mk.in src/Makefile.in src/ccze-exim.c
     src/ccze-httpd.c src/ccze-procmail.c src/ccze-squid.c
     src/ccze-sulog.c src/ccze-super.c src/ccze-syslog.c
     src/ccze-vsftpd.c


2002-09-28 16:41:06 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-63

    Summary:
      Fixed plugin loading from ~/.ccze/
    Revision:
      ccze--0.1--patch-63

    * src/ccze-plugin.c (ccze_plugin_load_all): Pass `homeplugs' to
      _ccze_load_set, not `home', so modules will be searched under
      ~/.ccze, not under ~/ itself.

    modified files:
     ChangeLog src/ccze-plugin.c


2002-09-28 16:36:17 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-62

    Summary:
      Exim mainlog colorisation module
    Revision:
      ccze--0.1--patch-62

    * src/ccze-color.c (ccze_color_keyword_map): Added `incoming',
      `outgoing', and `uniqn'.
      (ccze_color_init): Initialise them.
    * src/ccze-color.h (ccze_color_t): Added CCZE_COLOR_INCOMING,
      CCZE_COLOR_OUTGOING, and CCZE_COLOR_UNIQN.
    * src/ccze-exim.h: New file.
    * src/ccze-exim.c: Likewise.
    * Makefile.in (PLUGINS): Added `exim'.
      (ccze-exim.so): New target.

    new files:
     src/.arch-ids/ccze-exim.c.id src/.arch-ids/ccze-exim.h.id
     src/ccze-exim.c src/ccze-exim.h

    modified files:
     ChangeLog src/Makefile.in src/ccze-color.c src/ccze-color.h


2002-09-28 15:33:51 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-61

    Summary:
      Minor optimisation in plugin loading
    Revision:
      ccze--0.1--patch-61

    * src/ccze-plugin.c (_ccze_plugin_load): Moved most of
      ccze_plugin_load() here.
      (ccze_plugin_load): Made it a wrapper around _ccze_plugin_load().
      (_ccze_plugin_load_set): Take a `base' argument, and use it to
      construct `path' which is passed to _ccze_plugin_load() (yes,
      changed to use _ccze_plugin_load() instead of ccze_plugin_load()).
      (ccze_plugin_load_all): Adapted to _ccze_plugin_load_set change.

    modified files:
     ChangeLog src/ccze-plugin.c


2002-09-28 14:41:01 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-60

    Summary:
      Plugin architecture cleanup and redesign
    Revision:
      ccze--0.1--patch-60

    * src/ccze-plugin.h (ccze_plugin_init): New prototype.
      (ccze_plugins): Likewise.
      (ccze_plugin_shutdown): Likewise.
      (ccze_plugin_finalise): Likewise.
      (ccze_plugin_load): Changed prototype.
      (ccze_plugin_load_all): Likewise.
    * src/ccze_plugin.c (_ccze_plugin_add): New helper function.
      (ccze_plugin_init): New function.
      (ccze_plugin_finalise): Likewise.
      (ccze_plugin_shutdown): Likewise.
      (ccze_plugins): Likewise.
      (ccze_plugin_load): Adapted to new plugin design.
      (ccze_plugin_load_all): Likewise.
      (_ccze_plugin_loaded): Likewise.
      (_ccze_plugin_load_set): Likewise.
    * src/ccze.c (sigint_handler): Use sigint_handler().
      (main): Adapted to the new plugin design.
    * TODO: Plugin stuff is done.
    
    This new design is actually rather simple: there is one "global"
    ccze_plugin_t ** in src/ccze_plugin.c, and that module does all the
    hard job. This way no code is duplicated unnecessarily, less arguments
    are passed around, and in general it is Far Better(tm).

    modified files:
     ChangeLog TODO src/ccze-plugin.c src/ccze-plugin.h src/ccze.c


2002-09-24 16:35:05 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-59

    Summary:
      TODO updates
    Revision:
      ccze--0.1--patch-59

    * TODO (Bugfixes and cleanups): New section.

    modified files:
     ChangeLog TODO


2002-09-24 16:32:41 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-58

    Summary:
      --plugin support
    Revision:
      ccze--0.1--patch-58

    * src/ccze.c (ccze_config): Added pluginlist, pluginlist_len and
      pluginlist_alloc members.
      (options): Added --plugin.
      (parse_opt): Handle --plugin.
      (main): If no --plugin option was given, try to load all of them. If
      there was at least one, only load the ones which were explicitly
      specified.

    modified files:
     ChangeLog src/ccze.c


2002-09-24 16:18:32 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-57

    Summary:
      CLEANFILES cleanup
    Revision:
      ccze--0.1--patch-57

    * src/Makefile.in (CLEANFILES): Clean ${OBJECTS:.o=.da} only, not the
      whole ${SOURCES:.c=.da}.

    modified files:
     ChangeLog src/Makefile.in


2002-09-20 13:48:21 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-56

    Summary:
      Scan ~/.ccze/ for plugins too
    Revision:
      ccze--0.1--patch-56

    * src/ccze-plugin.c (_ccze_plugin_load_set): New function.
      (ccze_plugin_load_all): Utilise _ccze_plugin_load_set() to load
      plugins from under ~/.ccze/ and PLUGIN_LIBPATH.

    modified files:
     ChangeLog src/ccze-plugin.c


2002-09-20 13:09:18 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-55

    Summary:
      Search for plugins under ~/.ccze/
    Revision:
      ccze--0.1--patch-55

    * src/ccze-plugin.c (ccze_plugin_load): Check if the plugin exists under
      ~/.ccze, and only load from the global area if not.

    modified files:
     ChangeLog src/ccze-plugin.c


2002-09-18 16:01:14 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-54

    Summary:
      Pre-tag fixes
    Revision:
      ccze--0.1--patch-54

    * src/ccze-color.c (ccze_color_load): Fixed to correctly setup colors
      with pre-tags (bold, blink, etc).

    modified files:
     ChangeLog src/ccze-color.c


2002-09-18 15:40:36 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-53

    Summary:
      Updated debianisation
    Revision:
      ccze--0.1--patch-53

    * debian/maint/conffiles: New file.
    * debian/rules (install): Install /etc/cczerc.
      (binary-ccze): Install DEBIAN/conffiles.

    new files:
     debian/maint/.arch-ids/=id debian/maint/.arch-ids/conffiles.id
     debian/maint/conffiles

    modified files:
     ChangeLog debian/rules

    new directories:
     debian/maint/.arch-ids debian/maint


2002-09-18 15:31:16 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-52

    Summary:
      Simplified background-color parsing logic
    Revision:
      ccze--0.1--patch-52

    * src/ccze-color.c (ccze_color_load): Instead of the ugly strstr()
      check, put the on_ variants into the ccze_colorname_map table too.

    modified files:
     ChangeLog src/ccze-color.c


2002-09-18 15:25:35 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-51

    Summary:
      Background color support
    Revision:
      ccze--0.1--patch-51

    * src/ccze.c (main): Set up all the colors, with backgrounds.
    * src/ccze-color.c (ccze_colorname_map): Use numbers instead of
      COLOR_PAIR()s.
      (ccze_color_load): Catch "bold", "underline", "reverse" and "blink"
      pre-tags. Parse further for the background color (and accept both
      <color> and on_<color).
      (ccze_color_init): Initialise CCZE_COLOR_SWAPNUM to blue on_white.
    * TODO: Removed relevant entry.

    modified files:
     ChangeLog TODO src/ccze-color.c src/ccze.c


2002-09-18 14:41:38 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-50

    Summary:
      Introducing: etc/cczerc
    Revision:
      ccze--0.1--patch-50

    * etc/cczerc: New file.
    * etc/Makefile.in: New file.
    * configure.ac: Generate etc/Makefile.
    * Makefile.in: Recurse into etc/ too.

    new files:
     etc/.arch-ids/=id etc/.arch-ids/Makefile.in.id
     etc/.arch-ids/cczerc.id etc/Makefile.in etc/cczerc

    modified files:
     ChangeLog Makefile.in configure.ac

    new directories:
     etc/.arch-ids etc


2002-09-18 14:30:20 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-49

    Summary:
      Support --rcfile
    Revision:
      ccze--0.1--patch-49

    * src/ccze-color.c (ccze_color_load): Stat the file before opening,
      and bail out if it is not a regular file.
    * src/ccze.c (ccze_config): Added an `rcfile' member.
      (options): Added `--rcfile'.
      (parse_opts): Recognise it.
      (main): Initialise ccze_config.rcfile to NULL, and only load any
      other files if it is still NULL after parsing.

    modified files:
     ChangeLog src/ccze-color.c src/ccze.c


2002-09-18 14:05:58 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-48

    Summary:
      Minor memory-leak fix
    Revision:
      ccze--0.1--patch-48

    * src/ccze-plugin.c (ccze_plugin_load_all): In the while() loop, free()
      namelist[m], and after the loop, free() namelist itself too.

    modified files:
     ChangeLog src/ccze-plugin.c


2002-09-18 14:00:06 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-47

    Summary:
      Removed a debugging statement
    Revision:
      ccze--0.1--patch-47

    * src/ccze.c (main): The endwin() after ccze_color_init() accidentally
      creeped in from my development tree. Removed.

    modified files:
     ChangeLog src/ccze.c


2002-09-18 13:57:34 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-46

    Summary:
      Load $SYSCONFDIR/cczerc and ~/.cczerc too
    Revision:
      ccze--0.1--patch-46

    * src/ccze.c (main): Try loading $SYCONFDIR/cczerc and ~/.cczerc too.

    modified files:
     ChangeLog src/ccze.c


2002-09-18 13:53:31 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-45

    Summary:
      Check for fcntl.h
    Revision:
      ccze--0.1--patch-45

    * configure.ac: AC_CHECK_HEADERS([fcntl.h]).

    modified files:
     ChangeLog configure.ac


2002-09-18 13:26:12 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-44

    Summary:
      Configuration support, take #1
    Revision:
      ccze--0.1--patch-44

    * src/ccze-color.h: New file.
    * src/ccze-color.c: Likewise.
    * src/ccze.h: Removed all the color-related defines.
    * src/ccze.c (main): Initialise color support, and load the
      configuration files.
    * src/Makefile.in (SOURCES): Added ccze-color.c.
      (HEADERS): Added ccze-color.h.
      (OBJECTS): Added ccze-color.o.
      (ccze.o): Depend on ccze-color.h too.
      (ccze-color.o): New target.
    * TODO: Updated relevant entry.

    new files:
     src/.arch-ids/ccze-color.h.id src/.arch-ids/ccze-color.c.id
     src/ccze-color.h src/ccze-color.c

    modified files:
     ChangeLog TODO src/Makefile.in src/ccze.c src/ccze.h


2002-09-18 13:15:22 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-43

    Summary:
      Syslog modularised
    Revision:
      ccze--0.1--patch-43

    * src/ccze.c (siginthandler): Do not shutdown the syslog module
      explictly.
      (main): Got rid of the syslog-module special case.
    * src/Makefile.in (SOURCES): Removed ccze-syslog.c.
      (HEADERS): Removed ccze-syslog.h
      (OBJECTS): Removed ccze-syslog.o
      (PLUGINS): Added syslog.
      (ccze.o): Do not depend on ccze-syslog.h.
      (ccze-syslog.o): Renamed to...
      (ccze-syslog.so): ...this.

    modified files:
     ChangeLog src/Makefile.in src/ccze.c


2002-09-17 14:44:01 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-42

    Summary:
      Workaround for a bug in pcre
    Revision:
      ccze--0.1--patch-42

    * src/ccze-wordcolor.c (ccze_wordcolor_setup): Remove the '$' from
      reg_email, and introduce reg_email2, containing the final part with
      the $.
      (ccze_wordcolor_process): Use reg_email2 together with
      reg_email. This does not match exactly the same set as reg_email was
      intended to match, but it is close enough.
      (ccze_wordcolor_shutdown): free() reg_email2.

    modified files:
     ChangeLog src/ccze-wordcolor.c


2002-09-16 19:54:22 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-41

    Summary:
      Introducing: ccze.1
    Revision:
      ccze--0.1--patch-41

    * doc/Makefile.in: New file.
    * doc/ccze.1: New file.
    * configure.ac: Create doc/Makefile too.
    * Makefile.in: Recurse into doc/
    * TODO: Updated Documentation entry.
    * debian/rules: Compress the manual page.

    new files:
     doc/.arch-ids/=id doc/.arch-ids/Makefile.in.id
     doc/.arch-ids/ccze.1.id doc/Makefile.in doc/ccze.1

    modified files:
     ChangeLog Makefile.in TODO configure.ac debian/rules

    new directories:
     doc/.arch-ids doc


2002-09-16 17:40:27 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-40

    Summary:
      Debianisation
    Revision:
      ccze--0.1--patch-40

    Debianised ccze. It was a fast job, so there might be rough edges, but
    this is still better than nothing.

    new files:
     debian/.arch-ids/=id debian/.arch-ids/changelog.id
     debian/.arch-ids/control.id debian/.arch-ids/copyright.id
     debian/.arch-ids/rules.id debian/changelog debian/control
     debian/copyright debian/rules

    modified files:
     ChangeLog

    new directories:
     debian/.arch-ids debian


2002-09-16 16:56:43 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-39

    Summary:
      Modularisation
    Revision:
      ccze--0.1--patch-39

    * src/ccze-plugin.h: New file.
    * src/ccze-plugin.c: Likewise.
    * src/ccze.h: Removed the CCZE_MATCH_* enum. All users updated.
    * src/ccze.c: Adapted to the new plugin-handling scheme.
    * src/ccze-super.c: New file (forgot to add earlier).
    * src/ccze-super.h: Likewise.
    * src/Makefile.in (SOURCES): Reorganised.
      (HEADERS): Likewise.
      (PLUGINS): New variable.
      (PLUGIN_OBJS): Likewise.
      (CLEANFILES): Added ${PLUGIN_OBJS}.
      (OBJECTS): Moved here from Rules.mk.in.
      (install): Install plugins too.
      (uninstall): Uninstall plugins too.
      (all): Depend on ${PLUGIN_OBJS}.
      (${PROGRAM}): Link with -rdynamic.
    * Rules.mk.in (libdir): New variable.
      (pkglibdir): Likewise.
      (DEFINES): Pass on -DPKGLIBDIR.
      (OBJECTS): Moved to src/Makefile.in.
      (%.so): New target.
    * configure.ac: Added AC_HEADER_DIRENT and -ldl checks.
    * TODO: Removed relevant entry.

    new files:
     src/.arch-ids/ccze-plugin.c.id src/.arch-ids/ccze-plugin.h.id
     src/.arch-ids/ccze-super.c.id src/.arch-ids/ccze-super.h.id
     src/ccze-plugin.c src/ccze-plugin.h src/ccze-super.c
     src/ccze-super.h

    modified files:
     ChangeLog Rules.mk.in TODO configure.ac src/Makefile.in
     src/ccze-httpd.c src/ccze-procmail.c src/ccze-squid.c
     src/ccze-sulog.c src/ccze-syslog.c src/ccze-vsftpd.c
     src/ccze.c src/ccze.h


2002-09-16 10:09:59 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-38

    Summary:
      TODO updates
    Revision:
      ccze--0.1--patch-38

    * TODO: Added `Modularisation' entry.

    modified files:
     ChangeLog TODO


2002-09-16 10:03:51 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-37

    Summary:
      Calling conventions revamped
    Revision:
      ccze--0.1--patch-37

    Abstracted away all the various regexp-matching routines into opaque
    modules, all providing the same interface. This makes it possible to
    write a colouriser module without pcre, and it also allows us to
    implement run-time loadable modules at some point in the future.

    modified files:
     ChangeLog src/ccze-httpd.c src/ccze-httpd.h
     src/ccze-procmail.c src/ccze-procmail.h src/ccze-squid.c
     src/ccze-squid.h src/ccze-sulog.c src/ccze-sulog.h
     src/ccze-syslog.c src/ccze-syslog.h src/ccze-vsftpd.c
     src/ccze-vsftpd.h src/ccze-wordcolor.h src/ccze.c


2002-09-16 08:57:46 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-36

    Summary:
      Signal colouring fix
    Revision:
      ccze--0.1--patch-36

    * src/ccze-wordcolor.c (ccze_wordcolor_setup): Lowercased the signal
      names in `reg_sig', since we try to apply the regexp to a lowercase
      string. Also removed the capital letters from `reg_size', for the
      same reason.

    modified files:
     ChangeLog src/ccze-wordcolor.c


2002-09-15 16:23:48 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-35

    Summary:
      HTTPd access.log colorisation enhancements
    Revision:
      ccze--0.1--patch-35

    * src/ccze-httpd.c (ccze_httpd_access_log_process): Extract the
      optional vhost, and put `other' on the output queue as-is.
      (ccze_httpd_setup): The access.log regexp was tuned up a bit, to
      support vhost and timezone elements.

    modified files:
     ChangeLog src/ccze-httpd.c


2002-09-14 11:37:36 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-34

    Summary:
      Fixed procmail colorisation
    Revision:
      ccze--0.1--patch-34

    * src/ccze-procmail.c (ccze_procmail_process): Do not CCZE_ADDSTR
      `extra' in the if branch. Set `col' instead, and use that to add extra
      to the output queue.

    modified files:
     ChangeLog src/ccze-procmail.c


2002-09-14 11:30:59 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-33

    Summary:
      Fixed two double free()s
    Revision:
      ccze--0.1--patch-33

    * src/ccze-wordcolor.c (ccze_wordcolor_process): Do not try to free word
      or lword twice.

    modified files:
     ChangeLog src/ccze-wordcolor.c


2002-09-14 11:04:47 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-32

    Summary:
      Minor memory-leak fixes
    Revision:
      ccze--0.1--patch-32

    * src/ccze-wordcolor.c (ccze_wordcolor_process): free() some more
      variables.

    modified files:
     ChangeLog src/ccze-wordcolor.c


2002-09-14 10:48:24 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-31

    Summary:
      An strtok() replacement
    Revision:
      ccze--0.1--patch-31

    * src/ccze-wordcolor.c (_my_strbrk): New function. Works almost like
      strtok(), but does not eat multiple delimiters.
      (ccze_wordcolor_process): Use it.

    modified files:
     ChangeLog src/ccze-wordcolor.c


2002-09-14 10:07:15 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-30

    Summary:
      Better word colouring
    Revision:
      ccze--0.1--patch-30

    * src/ccze-wordcolor.c (ccze_wordcolor_process): Compare the
      lower-cased word with all those regexps, and in case of
      good/badwords, only colour the word if the badword matches the
      beginning of the word.

    modified files:
     ChangeLog src/ccze-wordcolor.c


2002-09-13 16:37:43 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-29

    Summary:
      Fixed a segmentation fault
    Revision:
      ccze--0.1--patch-29

    * src/ccze-wordcolor.c (ccze_wordcolor_process): If the message does
      not contain any spaces, or it is empty, put it onto the output queue
      as-is.

    modified files:
     ChangeLog src/ccze-wordcolor.c


2002-09-13 15:51:27 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-28

    Summary:
      Typo fix
    Revision:
      ccze--0.1--patch-28

    * Rules.mk.in (maintainer-clean): it is ${MAINTAINERCLEANFILES}, with a
      capital S.

    modified files:
     ChangeLog Rules.mk.in


2002-09-13 14:48:38 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-27

    Summary:
      Include patchlevel in the version string
    Revision:
      ccze--0.1--patch-27

    * src/ccze.c (argp_program_version): Include the PATCHLEVEL too.

    modified files:
     ChangeLog src/ccze.c


2002-09-13 14:44:55 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-26

    Summary:
      --no-service-lookup and --no-word-color
    Revision:
      ccze--0.1--patch-26

    * src/ccze.c (ccze_config): Added `wcol' and `slookup' members.
      (options): Added --no-service-lookup and --no-word-color.
      (parse_opt): Recognise them.
      (main): Initialise them to on, and pass them to
      ccze_wordcolor_process.
    * src/ccze-wordcolor.h (ccze_wordcolor_process): Take two new
      arguments.
    * src/ccze-wordcolor.c (ccze_wordcolor_process): If `wcol' is
      disabled, print the message in the default color. If slookup is
      disabled, do not try costy lookups.

    modified files:
     ChangeLog src/ccze-wordcolor.c src/ccze-wordcolor.h src/ccze.c


2002-09-13 14:23:36 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-25

    Summary:
      Minor regexp tweaks
    Revision:
      ccze--0.1--patch-25

    * src/ccze-wordcolor.c (words_error): Added `alarm'.
      (ccze_wordcolor_setup): Do not place any requirement on the length
      of reg_size, so we can catch `0.21Kbyte/sec' too.

    modified files:
     ChangeLog src/ccze-wordcolor.c


2002-09-13 13:47:56 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-24

    Summary:
      configure.ac updates
    Revision:
      ccze--0.1--patch-24

    * configure.ac: AC_FUNC_STRFTIME and AC_CHECK_HEADERS([netdb.h]) were added.

    modified files:
     ChangeLog configure.ac


2002-09-13 13:41:40 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-23

    Summary:
      UNIX timestamp conversion support
    Revision:
      ccze--0.1--patch-23

    * src/ccze.h (ccze_print_date): New prototype.
    * src/ccze.c (ccze_print_date): New function.
      (ccze_config): Added a convdate member.
      (options): Handle --convert-date.
      (parse_opt): Recognise it.
      (main): Initialise ->convdate to off.
    * src/ccze-squid.c (ccze_squid_access_log_process): Use
      ccze_print_date.
      (ccze_squid_store_log_process): Likewise.

    modified files:
     ChangeLog src/ccze-squid.c src/ccze.c src/ccze.h


2002-09-13 13:23:52 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-22

    Summary:
      Word-colorising
    Revision:
      ccze--0.1--patch-22

    * src/ccze-wordcolor.h: New file.
    * src/ccze-wordcolor.c: New file.
    * src/ccze.h (CCZE_COLOR_MAC): New colour.
      (CCZE_COLOR_VERSION): Likewise.
      (CCZE_COLOR_ADDRESS): Likewise.
      (CCZE_COLOR_NUMBERS): Likewise.
      (CCZE_COLOR_SIGNAL): Likewise.
      (CCZE_COLOR_SERVICE): Likewise.
      (CCZE_COLOR_PROT): Likewise.
      (CCZE_COLOR_BADWORD): Likewise.
      (CCZE_COLOR_GOODWORD): Likewise.
      (CCZE_COLOR_SYSTEMWORD): Likewise.
    * src/ccze.c (main): Support word colorising.

    new files:
     src/.arch-ids/ccze-wordcolor.c.id
     src/.arch-ids/ccze-wordcolor.h.id src/ccze-wordcolor.c
     src/ccze-wordcolor.h

    modified files:
     ChangeLog src/Makefile.in src/ccze.c src/ccze.h


2002-09-13 11:34:33 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-21

    Summary:
      No Texinfo docs
    Revision:
      ccze--0.1--patch-21

    There won't be any texinfo docs for CCZE, so support code was removed
    from the build system.

    modified files:
     ChangeLog Makefile.in Rules.mk.in configure.ac


2002-09-13 11:09:03 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-20

    Summary:
      Remove trailing \n from input
    Revision:
      ccze--0.1--patch-20

    * src/ccze.c (main): Remove the trailing \n from the input, so our
      regexps which use $ will work again.

    modified files:
     ChangeLog src/ccze.c


2002-09-13 10:21:38 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-19

    Summary:
      Configure check for signal return type
    Revision:
      ccze--0.1--patch-19

    * configure.ac: AC_TYPE_SIGNAL.

    modified files:
     ChangeLog configure.ac


2002-09-13 10:04:02 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-18

    Summary:
      Squid access.log colorisation fix
    Revision:
      ccze--0.1--patch-18

    * src/ccze-squid.c (ccze_squid_access_log_process): After the
      hierarchy, print fhost, not host.
      (ccze_squid_setup): Made the access.log regexp more robust.

    modified files:
     ChangeLog src/ccze-squid.c


2002-09-13 09:54:16 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-17

    Summary:
      fgets() -> getline()
    Revision:
      ccze--0.1--patch-17

    * src/ccze.c (main): Use getline() instead of fgets().

    modified files:
     ChangeLog src/ccze.c


2002-09-13 09:49:22 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-16

    Summary:
      super.log colorisation support
    Revision:
      ccze--0.1--patch-16

    * src/ccze-super.h: New file.
    * src/ccze-super.c: New file.
    * src/ccze.h (CCZE_MATCH_SUPER): New enum member.
    * src/ccze.c (main): Support super.log colorisation.
    * src/Makefile.in (SOURCES): Added ccze-super.c.
      (HEADERS): Added ccze-super.h
      (ccze.o): Depend on ccze-super.h too.
      (ccze-super.o): New target.

    modified files:
     ChangeLog src/Makefile.in src/ccze.c src/ccze.h


2002-09-13 09:31:17 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-15

    Summary:
      Minor leak fix
    Revision:
      ccze--0.1--patch-15

    * src/ccze-sulog.c (ccze_sulog_process): free() islogin.

    modified files:
     ChangeLog src/ccze-sulog.c


2002-09-13 09:26:58 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-14

    Summary:
      sulog colorisation
    Revision:
      ccze--0.1--patch-14

    * src/ccze-sulog.h: New file.
    * src/ccze-sulog.c: New file.
    * src/ccze.h (CCZE_MATCH_SULOG): New enum member.
    * src/ccze.c (main): Support sulog colorisation.
    * src/Makefile.in (SOURCES): Added ccze-sulog.c.
      (HEADERS): Added ccze-sulog.h.
      (ccze.o): Depend on ccze-sulog.h too.
      (ccze-sulog.o): New target.

    new files:
     src/.arch-ids/ccze-sulog.c.id src/.arch-ids/ccze-sulog.h.id
     src/ccze-sulog.c src/ccze-sulog.h

    modified files:
     ChangeLog src/Makefile.in src/ccze.c src/ccze.h


2002-09-13 08:47:31 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-13

    Summary:
      HTTPd error.log colorisation
    Revision:
      ccze--0.1--patch-13

    * src/ccze-httpd.h (ccze_httpd_setup): Take two new arguments.
      (ccze_httpd_error_log_process): New prototype.
    * src/ccze-httpd.c (_ccze_httpd_error): New function.
      (ccze_httpd_error_log_process): New function.
      (ccze_httpd_setup): Setup error.log regexp too.
    * src/ccze.h (CCZE_MATCH_HTTPD_ERROR_LOG): New enum member.
    * src/ccze.c (main): Support error.log colorisation.

    modified files:
     ChangeLog src/ccze-httpd.c src/ccze-httpd.h src/ccze.c
     src/ccze.h


2002-09-13 08:26:42 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-12

    Summary:
      Full support for store.log coloristation
    Revision:
      ccze--0.1--patch-12

    * src/ccze.h (CCZE_COLOR_PROXY_CREATE): New colour.
      (CCZE_COLOR_PROXY_SWAPIN): Likewise.
      (CCZE_COLOR_PROXY_SWAPOUT): Likewise.
      (CCZE_COLOR_PROXY_RELEASE): Likewise.
    * src/ccze-squid.c (_ccze_proxy_tag): New function.
      (ccze_squid_store_log_process): Use it.

    modified files:
     ChangeLog src/ccze-squid.c src/ccze.h


2002-09-13 08:17:22 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-11

    Summary:
      Memory-leak plugging
    Revision:
      ccze--0.1--patch-11

    * src/ccze-squid.c (ccze_squid_store_log_process): free() the
      variables allocated by pcre_get_substring().

    modified files:
     ChangeLog src/ccze-squid.c


2002-09-13 08:14:29 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-10

    Summary:
      Squid store.log colorisation fix
    Revision:
      ccze--0.1--patch-10

    * src/ccze-squid.c (ccze_squid_setup): Changed the store.log regexp to
      be more robust. 
      (ccze_squid_store_log_process): Adapted to the regexp change.
    
    Thanks to Mark Szabo for providing a store.log.

    modified files:
     ChangeLog src/ccze-squid.c


2002-09-12 22:24:58 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-9

    Summary:
      Squid store.log colorisation, take #1
    Revision:
      ccze--0.1--patch-9

    * src/ccze.h (CCZE_COLOR_SWAPNUM): New colour.
      (CCZE_MATCH_SQUID_STORE_LOG): New enum member.
    * src/ccze-squid.h (ccze_squid_store_log_process): New prototype.
      (ccze_squid_setup): Take two new arguments.
    * src/ccze-squid.c (ccze_squid_store_log_process): New function.
      (ccze_squid_setup): Setup store.log regexps too.
    * src/ccze.c (main): Support store.log colorisation.

    modified files:
     ChangeLog src/ccze-squid.c src/ccze-squid.h src/ccze.c
     src/ccze.h


2002-09-12 21:20:13 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-8

    Summary:
      Signal handlers
    Revision:
      ccze--0.1--patch-8

    * src/ccze.c (sigint_handler): New function.
      (sigwinch_handler): New function.
      (main): Use them.

    modified files:
     ChangeLog src/ccze.c


2002-09-12 16:16:18 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-7

    Summary:
      addstr -> CCZE_ADDSTR
    Revision:
      ccze--0.1--patch-7

    * src/ccze.h (CCZE_ADDSTR): Surround the macro with {}, so it can be
      safely used in an if-branch.
      (CCZE_NEWLINE): New macro.
    * src/ccze-procmail.c (ccze_procmail_process): Use them.
    * src/ccze-squid.c (ccze_squid_access_log_process): Likewise.
    * src/ccze.c (main): Likewise.

    modified files:
     ChangeLog src/ccze-procmail.c src/ccze-squid.c src/ccze.c
     src/ccze.h


2002-09-12 16:09:52 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-6

    Summary:
      ccze_space() macroised
    Revision:
      ccze--0.1--patch-6

    * src/ccze.h (ccze_space): Made it a macro.
    * src/ccze.c (ccze_space): Removed this function, as it is superceded by
      the macro in src/ccze.h.

    modified files:
     ChangeLog src/ccze.c src/ccze.h


2002-09-12 16:06:44 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-5

    Summary:
      Splitting sources
    Revision:
      ccze--0.1--patch-5

    Split up src/ccze.c into smaller parts, each one containing one or
    more colorizer methods and a setup routine.

    new files:
     src/.arch-ids/ccze.h.id src/.arch-ids/ccze-httpd.h.id
     src/.arch-ids/ccze-httpd.c.id src/.arch-ids/ccze-procmail.c.id
     src/.arch-ids/ccze-procmail.h.id src/.arch-ids/ccze-squid.h.id
     src/.arch-ids/ccze-squid.c.id src/.arch-ids/ccze-syslog.c.id
     src/.arch-ids/ccze-syslog.h.id src/.arch-ids/ccze-vsftpd.c.id
     src/.arch-ids/ccze-vsftpd.h.id src/ccze.h src/ccze-httpd.h
     src/ccze-httpd.c src/ccze-procmail.c src/ccze-procmail.h
     src/ccze-squid.h src/ccze-squid.c src/ccze-syslog.c
     src/ccze-syslog.h src/ccze-vsftpd.c src/ccze-vsftpd.h

    modified files:
     ChangeLog src/Makefile.in src/ccze.c


2002-09-12 15:13:47 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-4

    Summary:
      There is no EXTRAVERSION
    Revision:
      ccze--0.1--patch-4

    * Rules.mk.in (DEFINES): Do not define EXTRAVERSION.

    modified files:
     ChangeLog Rules.mk.in


2002-09-12 15:11:57 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-3

    Summary:
      Some more configure checks
    Revision:
      ccze--0.1--patch-3

    * configure.ac: Check for -lpcre and -lncurses.
    * Rules.mk.in (LIBS): New variable.
    * src/Makefile.in (ALL_LDFLAGS): Use ${LIBS} instead of the hardcoded
      -lpcre -lncurses setup.

    modified files:
     ChangeLog Rules.mk.in configure.ac src/Makefile.in


2002-09-12 14:45:28 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-2

    Summary:
      THANKS
    Revision:
      ccze--0.1--patch-2

    * THANKS: New file.
    * Makefile.in (EXTRA_DIST): Include THANKS.

    new files:
     .arch-ids/THANKS.id THANKS

    modified files:
     ChangeLog Makefile.in


2002-09-12 14:42:58 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	patch-1

    Summary:
      Squid cache.log support
    Revision:
      ccze--0.1--patch-1

    * src/ccze.c (CCZE_MATCH_SQUID_CACHE_LOG): New enum-member.
      (process_squid_cache_log): New function.
      (main): Use them. And also free() the vsftpd stuff.

    modified files:
     ChangeLog src/ccze.c


2002-09-12 14:28:42 GMT	Gergely Nagy <algernon@bonehunter.rulez.org>	base-0

    Summary:
      Initial import
    Revision:
      ccze--0.1--base-0

    This is the initial import of CCZE, a clone of `colorize' written in
    C to be fast and light on resources.

    new files:
     ./.arch-ids/AUTHORS.id ./.arch-ids/COPYING.id
     ./.arch-ids/ChangeLog.id ./.arch-ids/INSTALL.id
     ./.arch-ids/Makefile.in.id ./.arch-ids/NEWS.id
     ./.arch-ids/README.id ./.arch-ids/Rules.mk.in.id
     ./.arch-ids/TODO.id ./.arch-ids/config.guess.id
     ./.arch-ids/config.sub.id ./.arch-ids/configure.ac.id
     ./.arch-ids/install-sh.id ./AUTHORS ./COPYING ./ChangeLog
     ./INSTALL ./Makefile.in ./NEWS ./README ./Rules.mk.in ./TODO
     ./config.guess ./config.sub ./configure.ac ./install-sh
     ./src/.arch-ids/=id ./src/.arch-ids/Makefile.in.id
     ./src/.arch-ids/ccze.c.id ./src/Makefile.in ./src/ccze.c


